-- phpMyAdmin SQL Dump
-- version 2.11.11.3
-- http://www.phpmyadmin.net
--
-- Host: 184.168.194.156
-- Generation Time: Mar 03, 2013 at 06:29 PM
-- Server version: 5.0.96
-- PHP Version: 5.1.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `doc12SQLTn`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbld_bannedusers`
--

CREATE TABLE IF NOT EXISTS `tbld_bannedusers` (
  `Id` int(11) NOT NULL auto_increment,
  `UserId` int(11) NOT NULL,
  `Reason` text collate utf8_unicode_ci NOT NULL,
  `BanedOn` datetime default NULL,
  `LiftBanId` int(11) NOT NULL,
  `BannedBy` varchar(255) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tbld_bannedusers`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbld_blockedusers`
--

CREATE TABLE IF NOT EXISTS `tbld_blockedusers` (
  `UserID` int(11) NOT NULL,
  `BlockedUserID` int(11) NOT NULL,
  `DateBlock` datetime default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_bodytypes`
--

CREATE TABLE IF NOT EXISTS `tbld_bodytypes` (
  `BodyTypeID` smallint(5) unsigned NOT NULL auto_increment,
  `L1BodyType` varchar(30) collate utf8_unicode_ci NOT NULL,
  `L2BodyType` varchar(30) collate utf8_unicode_ci NOT NULL,
  `L3BodyType` varchar(30) collate utf8_unicode_ci NOT NULL,
  `L4BodyType` varchar(30) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`BodyTypeID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

--
-- Dumping data for table `tbld_bodytypes`
--

INSERT INTO `tbld_bodytypes` VALUES(1, 'Average', 'Average', 'Average', 'Average', 0) ON DUPLICATE KEY UPDATE BodyTypeID=1;
INSERT INTO `tbld_bodytypes` VALUES(2, 'Slim', 'Slim', 'Slim', 'Slim', 0) ON DUPLICATE KEY UPDATE BodyTypeID=2;
INSERT INTO `tbld_bodytypes` VALUES(3, 'Athletic', 'Athletic', 'Athletic', 'Athletic', 0) ON DUPLICATE KEY UPDATE BodyTypeID=3;
INSERT INTO `tbld_bodytypes` VALUES(4, 'Ample', 'Ample', 'Ample', 'Ample', 0) ON DUPLICATE KEY UPDATE BodyTypeID=4;
INSERT INTO `tbld_bodytypes` VALUES(6, 'Large', 'Large', 'Large', 'Large', 0) ON DUPLICATE KEY UPDATE BodyTypeID=6;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_countries`
--

CREATE TABLE IF NOT EXISTS `tbld_countries` (
  `CountryID` smallint(5) unsigned NOT NULL auto_increment,
  `Country` varchar(50) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`CountryID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=239 ;

--
-- Dumping data for table `tbld_countries`
--

INSERT INTO `tbld_countries` VALUES(1, 'Afghanistan', 0) ON DUPLICATE KEY UPDATE CountryID=1;
INSERT INTO `tbld_countries` VALUES(2, 'Albania', 0) ON DUPLICATE KEY UPDATE CountryID=2;
INSERT INTO `tbld_countries` VALUES(3, 'Algeria', 0) ON DUPLICATE KEY UPDATE CountryID=3;
INSERT INTO `tbld_countries` VALUES(4, 'American Samoa', 0) ON DUPLICATE KEY UPDATE CountryID=4;
INSERT INTO `tbld_countries` VALUES(5, 'Andorra', 0) ON DUPLICATE KEY UPDATE CountryID=5;
INSERT INTO `tbld_countries` VALUES(7, 'Anguilla', 0) ON DUPLICATE KEY UPDATE CountryID=7;
INSERT INTO `tbld_countries` VALUES(8, 'Antarctica', 0) ON DUPLICATE KEY UPDATE CountryID=8;
INSERT INTO `tbld_countries` VALUES(10, 'Argentina', 0) ON DUPLICATE KEY UPDATE CountryID=10;
INSERT INTO `tbld_countries` VALUES(11, 'Armenia', 0) ON DUPLICATE KEY UPDATE CountryID=11;
INSERT INTO `tbld_countries` VALUES(12, 'Aruba', 0) ON DUPLICATE KEY UPDATE CountryID=12;
INSERT INTO `tbld_countries` VALUES(13, 'Australia', 0) ON DUPLICATE KEY UPDATE CountryID=13;
INSERT INTO `tbld_countries` VALUES(14, 'Austria', 0) ON DUPLICATE KEY UPDATE CountryID=14;
INSERT INTO `tbld_countries` VALUES(15, 'Azerbaijan', 0) ON DUPLICATE KEY UPDATE CountryID=15;
INSERT INTO `tbld_countries` VALUES(17, 'Bahrain', 0) ON DUPLICATE KEY UPDATE CountryID=17;
INSERT INTO `tbld_countries` VALUES(18, 'Bangladesh', 0) ON DUPLICATE KEY UPDATE CountryID=18;
INSERT INTO `tbld_countries` VALUES(19, 'Barbados', 0) ON DUPLICATE KEY UPDATE CountryID=19;
INSERT INTO `tbld_countries` VALUES(20, 'Belarus', 0) ON DUPLICATE KEY UPDATE CountryID=20;
INSERT INTO `tbld_countries` VALUES(21, 'Belgium', 0) ON DUPLICATE KEY UPDATE CountryID=21;
INSERT INTO `tbld_countries` VALUES(22, 'Belize', 0) ON DUPLICATE KEY UPDATE CountryID=22;
INSERT INTO `tbld_countries` VALUES(23, 'Benin', 0) ON DUPLICATE KEY UPDATE CountryID=23;
INSERT INTO `tbld_countries` VALUES(24, 'Bermuda', 0) ON DUPLICATE KEY UPDATE CountryID=24;
INSERT INTO `tbld_countries` VALUES(25, 'Bhutan', 0) ON DUPLICATE KEY UPDATE CountryID=25;
INSERT INTO `tbld_countries` VALUES(26, 'Bolivia', 0) ON DUPLICATE KEY UPDATE CountryID=26;
INSERT INTO `tbld_countries` VALUES(27, 'Bosnia', 0) ON DUPLICATE KEY UPDATE CountryID=27;
INSERT INTO `tbld_countries` VALUES(28, 'Botswana', 0) ON DUPLICATE KEY UPDATE CountryID=28;
INSERT INTO `tbld_countries` VALUES(29, 'Bouvet Island', 0) ON DUPLICATE KEY UPDATE CountryID=29;
INSERT INTO `tbld_countries` VALUES(30, 'Brazil', 0) ON DUPLICATE KEY UPDATE CountryID=30;
INSERT INTO `tbld_countries` VALUES(32, 'Brunei', 0) ON DUPLICATE KEY UPDATE CountryID=32;
INSERT INTO `tbld_countries` VALUES(33, 'Bulgaria', 0) ON DUPLICATE KEY UPDATE CountryID=33;
INSERT INTO `tbld_countries` VALUES(34, 'Burkina Faso', 0) ON DUPLICATE KEY UPDATE CountryID=34;
INSERT INTO `tbld_countries` VALUES(35, 'Burundi', 0) ON DUPLICATE KEY UPDATE CountryID=35;
INSERT INTO `tbld_countries` VALUES(36, 'Cambodia', 0) ON DUPLICATE KEY UPDATE CountryID=36;
INSERT INTO `tbld_countries` VALUES(37, 'Cameroon', 0) ON DUPLICATE KEY UPDATE CountryID=37;
INSERT INTO `tbld_countries` VALUES(38, 'Canada', 0) ON DUPLICATE KEY UPDATE CountryID=38;
INSERT INTO `tbld_countries` VALUES(39, 'Cape Verde', 0) ON DUPLICATE KEY UPDATE CountryID=39;
INSERT INTO `tbld_countries` VALUES(40, 'Cayman Islands', 0) ON DUPLICATE KEY UPDATE CountryID=40;
INSERT INTO `tbld_countries` VALUES(42, 'Chad', 0) ON DUPLICATE KEY UPDATE CountryID=42;
INSERT INTO `tbld_countries` VALUES(43, 'Chile', 0) ON DUPLICATE KEY UPDATE CountryID=43;
INSERT INTO `tbld_countries` VALUES(44, 'China', 0) ON DUPLICATE KEY UPDATE CountryID=44;
INSERT INTO `tbld_countries` VALUES(49, 'Colombia', 0) ON DUPLICATE KEY UPDATE CountryID=49;
INSERT INTO `tbld_countries` VALUES(50, 'Comoros', 0) ON DUPLICATE KEY UPDATE CountryID=50;
INSERT INTO `tbld_countries` VALUES(51, 'Congo', 0) ON DUPLICATE KEY UPDATE CountryID=51;
INSERT INTO `tbld_countries` VALUES(53, 'Cook Islands', 0) ON DUPLICATE KEY UPDATE CountryID=53;
INSERT INTO `tbld_countries` VALUES(54, 'Costa Rica', 0) ON DUPLICATE KEY UPDATE CountryID=54;
INSERT INTO `tbld_countries` VALUES(56, 'Croatia', 0) ON DUPLICATE KEY UPDATE CountryID=56;
INSERT INTO `tbld_countries` VALUES(57, 'Cuba', 0) ON DUPLICATE KEY UPDATE CountryID=57;
INSERT INTO `tbld_countries` VALUES(58, 'Cyprus', 0) ON DUPLICATE KEY UPDATE CountryID=58;
INSERT INTO `tbld_countries` VALUES(59, 'Czech Republic', 0) ON DUPLICATE KEY UPDATE CountryID=59;
INSERT INTO `tbld_countries` VALUES(60, 'Denmark', 0) ON DUPLICATE KEY UPDATE CountryID=60;
INSERT INTO `tbld_countries` VALUES(61, 'Djibouti', 0) ON DUPLICATE KEY UPDATE CountryID=61;
INSERT INTO `tbld_countries` VALUES(62, 'Dominica', 0) ON DUPLICATE KEY UPDATE CountryID=62;
INSERT INTO `tbld_countries` VALUES(64, 'East Timor', 0) ON DUPLICATE KEY UPDATE CountryID=64;
INSERT INTO `tbld_countries` VALUES(65, 'Ecuador', 0) ON DUPLICATE KEY UPDATE CountryID=65;
INSERT INTO `tbld_countries` VALUES(66, 'Egypt', 0) ON DUPLICATE KEY UPDATE CountryID=66;
INSERT INTO `tbld_countries` VALUES(67, 'El Salvador', 0) ON DUPLICATE KEY UPDATE CountryID=67;
INSERT INTO `tbld_countries` VALUES(69, 'Eritrea', 0) ON DUPLICATE KEY UPDATE CountryID=69;
INSERT INTO `tbld_countries` VALUES(70, 'Estonia', 0) ON DUPLICATE KEY UPDATE CountryID=70;
INSERT INTO `tbld_countries` VALUES(71, 'Ethiopia', 0) ON DUPLICATE KEY UPDATE CountryID=71;
INSERT INTO `tbld_countries` VALUES(74, 'Fiji Islands', 0) ON DUPLICATE KEY UPDATE CountryID=74;
INSERT INTO `tbld_countries` VALUES(75, 'Finland', 0) ON DUPLICATE KEY UPDATE CountryID=75;
INSERT INTO `tbld_countries` VALUES(76, 'France', 0) ON DUPLICATE KEY UPDATE CountryID=76;
INSERT INTO `tbld_countries` VALUES(80, 'Gabon', 0) ON DUPLICATE KEY UPDATE CountryID=80;
INSERT INTO `tbld_countries` VALUES(82, 'Georgia', 0) ON DUPLICATE KEY UPDATE CountryID=82;
INSERT INTO `tbld_countries` VALUES(83, 'Germany', 0) ON DUPLICATE KEY UPDATE CountryID=83;
INSERT INTO `tbld_countries` VALUES(84, 'Ghana', 0) ON DUPLICATE KEY UPDATE CountryID=84;
INSERT INTO `tbld_countries` VALUES(85, 'Gibraltar', 0) ON DUPLICATE KEY UPDATE CountryID=85;
INSERT INTO `tbld_countries` VALUES(86, 'Greece', 0) ON DUPLICATE KEY UPDATE CountryID=86;
INSERT INTO `tbld_countries` VALUES(87, 'Greenland', 0) ON DUPLICATE KEY UPDATE CountryID=87;
INSERT INTO `tbld_countries` VALUES(88, 'Grenada', 0) ON DUPLICATE KEY UPDATE CountryID=88;
INSERT INTO `tbld_countries` VALUES(89, 'Guadeloupe', 0) ON DUPLICATE KEY UPDATE CountryID=89;
INSERT INTO `tbld_countries` VALUES(90, 'Guam', 0) ON DUPLICATE KEY UPDATE CountryID=90;
INSERT INTO `tbld_countries` VALUES(91, 'Guatemala', 0) ON DUPLICATE KEY UPDATE CountryID=91;
INSERT INTO `tbld_countries` VALUES(92, 'Guinea', 0) ON DUPLICATE KEY UPDATE CountryID=92;
INSERT INTO `tbld_countries` VALUES(94, 'Guyana', 0) ON DUPLICATE KEY UPDATE CountryID=94;
INSERT INTO `tbld_countries` VALUES(95, 'Haiti', 0) ON DUPLICATE KEY UPDATE CountryID=95;
INSERT INTO `tbld_countries` VALUES(97, 'Honduras', 0) ON DUPLICATE KEY UPDATE CountryID=97;
INSERT INTO `tbld_countries` VALUES(98, 'Hungary', 0) ON DUPLICATE KEY UPDATE CountryID=98;
INSERT INTO `tbld_countries` VALUES(99, 'Iceland', 0) ON DUPLICATE KEY UPDATE CountryID=99;
INSERT INTO `tbld_countries` VALUES(100, 'India', 0) ON DUPLICATE KEY UPDATE CountryID=100;
INSERT INTO `tbld_countries` VALUES(101, 'Indonesia', 0) ON DUPLICATE KEY UPDATE CountryID=101;
INSERT INTO `tbld_countries` VALUES(102, 'Iran', 0) ON DUPLICATE KEY UPDATE CountryID=102;
INSERT INTO `tbld_countries` VALUES(103, 'Iraq', 0) ON DUPLICATE KEY UPDATE CountryID=103;
INSERT INTO `tbld_countries` VALUES(104, 'Ireland', 0) ON DUPLICATE KEY UPDATE CountryID=104;
INSERT INTO `tbld_countries` VALUES(105, 'Israel', 0) ON DUPLICATE KEY UPDATE CountryID=105;
INSERT INTO `tbld_countries` VALUES(106, 'Italy', 0) ON DUPLICATE KEY UPDATE CountryID=106;
INSERT INTO `tbld_countries` VALUES(107, 'Jamaica', 0) ON DUPLICATE KEY UPDATE CountryID=107;
INSERT INTO `tbld_countries` VALUES(108, 'Japan', 0) ON DUPLICATE KEY UPDATE CountryID=108;
INSERT INTO `tbld_countries` VALUES(109, 'Jordan', 0) ON DUPLICATE KEY UPDATE CountryID=109;
INSERT INTO `tbld_countries` VALUES(110, 'Kazakhstan', 0) ON DUPLICATE KEY UPDATE CountryID=110;
INSERT INTO `tbld_countries` VALUES(111, 'Kenya', 0) ON DUPLICATE KEY UPDATE CountryID=111;
INSERT INTO `tbld_countries` VALUES(112, 'Kiribati', 0) ON DUPLICATE KEY UPDATE CountryID=112;
INSERT INTO `tbld_countries` VALUES(113, 'Korea', 0) ON DUPLICATE KEY UPDATE CountryID=113;
INSERT INTO `tbld_countries` VALUES(114, 'Korea, North', 0) ON DUPLICATE KEY UPDATE CountryID=114;
INSERT INTO `tbld_countries` VALUES(115, 'Kuwait', 0) ON DUPLICATE KEY UPDATE CountryID=115;
INSERT INTO `tbld_countries` VALUES(116, 'Kyrgyzstan', 0) ON DUPLICATE KEY UPDATE CountryID=116;
INSERT INTO `tbld_countries` VALUES(117, 'Laos', 0) ON DUPLICATE KEY UPDATE CountryID=117;
INSERT INTO `tbld_countries` VALUES(118, 'Latvia', 0) ON DUPLICATE KEY UPDATE CountryID=118;
INSERT INTO `tbld_countries` VALUES(119, 'Lebanon', 0) ON DUPLICATE KEY UPDATE CountryID=119;
INSERT INTO `tbld_countries` VALUES(120, 'Lesotho', 0) ON DUPLICATE KEY UPDATE CountryID=120;
INSERT INTO `tbld_countries` VALUES(121, 'Liberia', 0) ON DUPLICATE KEY UPDATE CountryID=121;
INSERT INTO `tbld_countries` VALUES(122, 'Libya', 0) ON DUPLICATE KEY UPDATE CountryID=122;
INSERT INTO `tbld_countries` VALUES(123, 'Liechtenstein', 0) ON DUPLICATE KEY UPDATE CountryID=123;
INSERT INTO `tbld_countries` VALUES(124, 'Lithuania', 0) ON DUPLICATE KEY UPDATE CountryID=124;
INSERT INTO `tbld_countries` VALUES(125, 'Luxembourg', 0) ON DUPLICATE KEY UPDATE CountryID=125;
INSERT INTO `tbld_countries` VALUES(127, 'Madagascar', 0) ON DUPLICATE KEY UPDATE CountryID=127;
INSERT INTO `tbld_countries` VALUES(128, 'Malawi', 0) ON DUPLICATE KEY UPDATE CountryID=128;
INSERT INTO `tbld_countries` VALUES(129, 'Malaysia', 0) ON DUPLICATE KEY UPDATE CountryID=129;
INSERT INTO `tbld_countries` VALUES(130, 'Maldives', 0) ON DUPLICATE KEY UPDATE CountryID=130;
INSERT INTO `tbld_countries` VALUES(131, 'Mali', 0) ON DUPLICATE KEY UPDATE CountryID=131;
INSERT INTO `tbld_countries` VALUES(132, 'Malta', 0) ON DUPLICATE KEY UPDATE CountryID=132;
INSERT INTO `tbld_countries` VALUES(133, 'Marshall Islands', 0) ON DUPLICATE KEY UPDATE CountryID=133;
INSERT INTO `tbld_countries` VALUES(134, 'Martinique', 0) ON DUPLICATE KEY UPDATE CountryID=134;
INSERT INTO `tbld_countries` VALUES(135, 'Mauritania', 0) ON DUPLICATE KEY UPDATE CountryID=135;
INSERT INTO `tbld_countries` VALUES(136, 'Mauritius', 0) ON DUPLICATE KEY UPDATE CountryID=136;
INSERT INTO `tbld_countries` VALUES(137, 'Mayotte', 0) ON DUPLICATE KEY UPDATE CountryID=137;
INSERT INTO `tbld_countries` VALUES(138, 'Mexico', 0) ON DUPLICATE KEY UPDATE CountryID=138;
INSERT INTO `tbld_countries` VALUES(139, 'Micronesia', 0) ON DUPLICATE KEY UPDATE CountryID=139;
INSERT INTO `tbld_countries` VALUES(140, 'Moldova', 0) ON DUPLICATE KEY UPDATE CountryID=140;
INSERT INTO `tbld_countries` VALUES(141, 'Monaco', 0) ON DUPLICATE KEY UPDATE CountryID=141;
INSERT INTO `tbld_countries` VALUES(142, 'Mongolia', 0) ON DUPLICATE KEY UPDATE CountryID=142;
INSERT INTO `tbld_countries` VALUES(143, 'Montserrat', 0) ON DUPLICATE KEY UPDATE CountryID=143;
INSERT INTO `tbld_countries` VALUES(144, 'Morocco', 0) ON DUPLICATE KEY UPDATE CountryID=144;
INSERT INTO `tbld_countries` VALUES(145, 'Mozambique', 0) ON DUPLICATE KEY UPDATE CountryID=145;
INSERT INTO `tbld_countries` VALUES(146, 'Myanmar', 0) ON DUPLICATE KEY UPDATE CountryID=146;
INSERT INTO `tbld_countries` VALUES(147, 'Namibia', 0) ON DUPLICATE KEY UPDATE CountryID=147;
INSERT INTO `tbld_countries` VALUES(148, 'Nauru', 0) ON DUPLICATE KEY UPDATE CountryID=148;
INSERT INTO `tbld_countries` VALUES(149, 'Nepal', 0) ON DUPLICATE KEY UPDATE CountryID=149;
INSERT INTO `tbld_countries` VALUES(152, 'New Caledonia', 0) ON DUPLICATE KEY UPDATE CountryID=152;
INSERT INTO `tbld_countries` VALUES(153, 'New Zealand', 0) ON DUPLICATE KEY UPDATE CountryID=153;
INSERT INTO `tbld_countries` VALUES(154, 'Nicaragua', 0) ON DUPLICATE KEY UPDATE CountryID=154;
INSERT INTO `tbld_countries` VALUES(155, 'Niger', 0) ON DUPLICATE KEY UPDATE CountryID=155;
INSERT INTO `tbld_countries` VALUES(156, 'Nigeria', 0) ON DUPLICATE KEY UPDATE CountryID=156;
INSERT INTO `tbld_countries` VALUES(157, 'Niue', 0) ON DUPLICATE KEY UPDATE CountryID=157;
INSERT INTO `tbld_countries` VALUES(158, 'Norfolk Island', 0) ON DUPLICATE KEY UPDATE CountryID=158;
INSERT INTO `tbld_countries` VALUES(160, 'Norway', 0) ON DUPLICATE KEY UPDATE CountryID=160;
INSERT INTO `tbld_countries` VALUES(161, 'Oman', 0) ON DUPLICATE KEY UPDATE CountryID=161;
INSERT INTO `tbld_countries` VALUES(162, 'Pakistan', 0) ON DUPLICATE KEY UPDATE CountryID=162;
INSERT INTO `tbld_countries` VALUES(163, 'Palau', 0) ON DUPLICATE KEY UPDATE CountryID=163;
INSERT INTO `tbld_countries` VALUES(164, 'Panama', 0) ON DUPLICATE KEY UPDATE CountryID=164;
INSERT INTO `tbld_countries` VALUES(166, 'Paraguay', 0) ON DUPLICATE KEY UPDATE CountryID=166;
INSERT INTO `tbld_countries` VALUES(167, 'Peru', 0) ON DUPLICATE KEY UPDATE CountryID=167;
INSERT INTO `tbld_countries` VALUES(168, 'Philippines', 0) ON DUPLICATE KEY UPDATE CountryID=168;
INSERT INTO `tbld_countries` VALUES(169, 'Pitcairn Island', 0) ON DUPLICATE KEY UPDATE CountryID=169;
INSERT INTO `tbld_countries` VALUES(170, 'Poland', 0) ON DUPLICATE KEY UPDATE CountryID=170;
INSERT INTO `tbld_countries` VALUES(171, 'Portugal', 0) ON DUPLICATE KEY UPDATE CountryID=171;
INSERT INTO `tbld_countries` VALUES(172, 'Puerto Rico', 0) ON DUPLICATE KEY UPDATE CountryID=172;
INSERT INTO `tbld_countries` VALUES(173, 'Qatar', 0) ON DUPLICATE KEY UPDATE CountryID=173;
INSERT INTO `tbld_countries` VALUES(174, 'Reunion', 0) ON DUPLICATE KEY UPDATE CountryID=174;
INSERT INTO `tbld_countries` VALUES(175, 'Romania', 0) ON DUPLICATE KEY UPDATE CountryID=175;
INSERT INTO `tbld_countries` VALUES(176, 'Russia', 0) ON DUPLICATE KEY UPDATE CountryID=176;
INSERT INTO `tbld_countries` VALUES(177, 'Rwanda', 0) ON DUPLICATE KEY UPDATE CountryID=177;
INSERT INTO `tbld_countries` VALUES(178, 'Saint Helena', 0) ON DUPLICATE KEY UPDATE CountryID=178;
INSERT INTO `tbld_countries` VALUES(180, 'Saint Lucia', 0) ON DUPLICATE KEY UPDATE CountryID=180;
INSERT INTO `tbld_countries` VALUES(183, 'Samoa', 0) ON DUPLICATE KEY UPDATE CountryID=183;
INSERT INTO `tbld_countries` VALUES(184, 'San Marino', 0) ON DUPLICATE KEY UPDATE CountryID=184;
INSERT INTO `tbld_countries` VALUES(186, 'Saudi Arabia', 0) ON DUPLICATE KEY UPDATE CountryID=186;
INSERT INTO `tbld_countries` VALUES(187, 'Senegal', 0) ON DUPLICATE KEY UPDATE CountryID=187;
INSERT INTO `tbld_countries` VALUES(188, 'Seychelles', 0) ON DUPLICATE KEY UPDATE CountryID=188;
INSERT INTO `tbld_countries` VALUES(189, 'Sierra Leone', 0) ON DUPLICATE KEY UPDATE CountryID=189;
INSERT INTO `tbld_countries` VALUES(190, 'Singapore', 0) ON DUPLICATE KEY UPDATE CountryID=190;
INSERT INTO `tbld_countries` VALUES(191, 'Slovakia', 0) ON DUPLICATE KEY UPDATE CountryID=191;
INSERT INTO `tbld_countries` VALUES(192, 'Slovenia', 0) ON DUPLICATE KEY UPDATE CountryID=192;
INSERT INTO `tbld_countries` VALUES(193, 'Solomon Islands', 0) ON DUPLICATE KEY UPDATE CountryID=193;
INSERT INTO `tbld_countries` VALUES(194, 'Somalia', 0) ON DUPLICATE KEY UPDATE CountryID=194;
INSERT INTO `tbld_countries` VALUES(195, 'South Africa', 0) ON DUPLICATE KEY UPDATE CountryID=195;
INSERT INTO `tbld_countries` VALUES(197, 'Spain', 0) ON DUPLICATE KEY UPDATE CountryID=197;
INSERT INTO `tbld_countries` VALUES(198, 'Sri Lanka', 0) ON DUPLICATE KEY UPDATE CountryID=198;
INSERT INTO `tbld_countries` VALUES(199, 'Sudan', 0) ON DUPLICATE KEY UPDATE CountryID=199;
INSERT INTO `tbld_countries` VALUES(200, 'Suriname', 0) ON DUPLICATE KEY UPDATE CountryID=200;
INSERT INTO `tbld_countries` VALUES(202, 'Swaziland', 0) ON DUPLICATE KEY UPDATE CountryID=202;
INSERT INTO `tbld_countries` VALUES(203, 'Sweden', 0) ON DUPLICATE KEY UPDATE CountryID=203;
INSERT INTO `tbld_countries` VALUES(204, 'Switzerland', 0) ON DUPLICATE KEY UPDATE CountryID=204;
INSERT INTO `tbld_countries` VALUES(205, 'Syria', 0) ON DUPLICATE KEY UPDATE CountryID=205;
INSERT INTO `tbld_countries` VALUES(206, 'Taiwan', 0) ON DUPLICATE KEY UPDATE CountryID=206;
INSERT INTO `tbld_countries` VALUES(207, 'Tajikistan', 0) ON DUPLICATE KEY UPDATE CountryID=207;
INSERT INTO `tbld_countries` VALUES(208, 'Tanzania', 0) ON DUPLICATE KEY UPDATE CountryID=208;
INSERT INTO `tbld_countries` VALUES(209, 'Thailand', 0) ON DUPLICATE KEY UPDATE CountryID=209;
INSERT INTO `tbld_countries` VALUES(210, 'Togo', 0) ON DUPLICATE KEY UPDATE CountryID=210;
INSERT INTO `tbld_countries` VALUES(211, 'Tokelau', 0) ON DUPLICATE KEY UPDATE CountryID=211;
INSERT INTO `tbld_countries` VALUES(212, 'Tonga', 0) ON DUPLICATE KEY UPDATE CountryID=212;
INSERT INTO `tbld_countries` VALUES(213, 'TrinCountryIDad & Tobago', 0) ON DUPLICATE KEY UPDATE CountryID=213;
INSERT INTO `tbld_countries` VALUES(214, 'Tunisia', 0) ON DUPLICATE KEY UPDATE CountryID=214;
INSERT INTO `tbld_countries` VALUES(215, 'Turkey', 0) ON DUPLICATE KEY UPDATE CountryID=215;
INSERT INTO `tbld_countries` VALUES(216, 'Turkmenistan', 0) ON DUPLICATE KEY UPDATE CountryID=216;
INSERT INTO `tbld_countries` VALUES(218, 'Tuvalu', 0) ON DUPLICATE KEY UPDATE CountryID=218;
INSERT INTO `tbld_countries` VALUES(219, 'Uganda', 0) ON DUPLICATE KEY UPDATE CountryID=219;
INSERT INTO `tbld_countries` VALUES(220, 'Ukraine', 0) ON DUPLICATE KEY UPDATE CountryID=220;
INSERT INTO `tbld_countries` VALUES(222, 'United Kingdom', 0) ON DUPLICATE KEY UPDATE CountryID=222;
INSERT INTO `tbld_countries` VALUES(223, 'United States', 0) ON DUPLICATE KEY UPDATE CountryID=223;
INSERT INTO `tbld_countries` VALUES(225, 'Uruguay', 0) ON DUPLICATE KEY UPDATE CountryID=225;
INSERT INTO `tbld_countries` VALUES(226, 'Uzbekistan', 0) ON DUPLICATE KEY UPDATE CountryID=226;
INSERT INTO `tbld_countries` VALUES(227, 'Vanuatu', 0) ON DUPLICATE KEY UPDATE CountryID=227;
INSERT INTO `tbld_countries` VALUES(229, 'Venezuela', 0) ON DUPLICATE KEY UPDATE CountryID=229;
INSERT INTO `tbld_countries` VALUES(230, 'Vietnam', 1) ON DUPLICATE KEY UPDATE CountryID=230;
INSERT INTO `tbld_countries` VALUES(234, 'Western Sahara', 0) ON DUPLICATE KEY UPDATE CountryID=234;
INSERT INTO `tbld_countries` VALUES(235, 'Yemen', 0) ON DUPLICATE KEY UPDATE CountryID=235;
INSERT INTO `tbld_countries` VALUES(236, 'Yugoslavia', 0) ON DUPLICATE KEY UPDATE CountryID=236;
INSERT INTO `tbld_countries` VALUES(237, 'Zambia', 0) ON DUPLICATE KEY UPDATE CountryID=237;
INSERT INTO `tbld_countries` VALUES(238, 'Zimbabwe', 0) ON DUPLICATE KEY UPDATE CountryID=238;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_datinginterest`
--

CREATE TABLE IF NOT EXISTS `tbld_datinginterest` (
  `DatingInterestID` int(10) unsigned NOT NULL auto_increment,
  `L1DatingInterest` varchar(30) collate utf8_unicode_ci NOT NULL,
  `L2DatingInterest` varchar(35) collate utf8_unicode_ci NOT NULL,
  `L3DatingInterest` varchar(30) collate utf8_unicode_ci NOT NULL,
  `L4DatingInterest` varchar(30) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`DatingInterestID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Dumping data for table `tbld_datinginterest`
--

INSERT INTO `tbld_datinginterest` VALUES(1, 'Friendship', 'Friendship', 'Friendship', 'Friendship', 0) ON DUPLICATE KEY UPDATE DatingInterestID=1;
INSERT INTO `tbld_datinginterest` VALUES(2, 'Dating', 'Dating', 'Dating', 'Dating', 0) ON DUPLICATE KEY UPDATE DatingInterestID=2;
INSERT INTO `tbld_datinginterest` VALUES(3, 'Long-term relationship', 'Long-term relationship', 'Long-term relationship', 'Long-term relationship', 0) ON DUPLICATE KEY UPDATE DatingInterestID=3;
INSERT INTO `tbld_datinginterest` VALUES(4, 'Just for Fun', 'Just for Fun', 'Just for Fun', 'Just for Fun', 0) ON DUPLICATE KEY UPDATE DatingInterestID=4;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_drinking`
--

CREATE TABLE IF NOT EXISTS `tbld_drinking` (
  `DrinkingID` smallint(5) unsigned NOT NULL auto_increment,
  `L1Drinking` varchar(50) collate utf8_unicode_ci NOT NULL,
  `L2Drinking` varchar(50) collate utf8_unicode_ci NOT NULL,
  `L3Drinking` varchar(50) collate utf8_unicode_ci NOT NULL,
  `L4Drinking` varchar(50) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`DrinkingID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

--
-- Dumping data for table `tbld_drinking`
--

INSERT INTO `tbld_drinking` VALUES(1, 'Not drink at all', 'Not drink at all', 'Not drink at all', 'Not drink at all', 0) ON DUPLICATE KEY UPDATE DrinkingID=1;
INSERT INTO `tbld_drinking` VALUES(2, 'Light/social drinker', 'Light/social drinker', 'Light/social drinker', 'Light/social drinker', 0) ON DUPLICATE KEY UPDATE DrinkingID=2;
INSERT INTO `tbld_drinking` VALUES(3, 'heavy drinker', 'heavy drinker', 'heavy drinker', 'heavy drinker', 0) ON DUPLICATE KEY UPDATE DrinkingID=3;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_educations`
--

CREATE TABLE IF NOT EXISTS `tbld_educations` (
  `EducationID` smallint(5) unsigned NOT NULL auto_increment,
  `L1Education` varchar(30) collate utf8_unicode_ci NOT NULL,
  `L2Education` varchar(40) collate utf8_unicode_ci NOT NULL,
  `L3Education` varchar(30) collate utf8_unicode_ci NOT NULL,
  `L4Education` varchar(30) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`EducationID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

--
-- Dumping data for table `tbld_educations`
--

INSERT INTO `tbld_educations` VALUES(1, 'High School graduate', 'High School graduate', 'High School graduate', 'High School graduate', 0) ON DUPLICATE KEY UPDATE EducationID=1;
INSERT INTO `tbld_educations` VALUES(2, 'Some college', 'Some college', 'Some college', 'Some college', 0) ON DUPLICATE KEY UPDATE EducationID=2;
INSERT INTO `tbld_educations` VALUES(3, 'Current college student', 'Current college student', 'Current college student', 'Current college student', 0) ON DUPLICATE KEY UPDATE EducationID=3;
INSERT INTO `tbld_educations` VALUES(4, 'AA (2 years college)', 'AA (2 years college)', 'AA (2 years college)', 'AA (2 years college)', 0) ON DUPLICATE KEY UPDATE EducationID=4;
INSERT INTO `tbld_educations` VALUES(5, 'BA/BS (4 years college)', 'BA/BS (4 years college)', 'BA/BS (4 years college)', 'BA/BS (4 years college)', 0) ON DUPLICATE KEY UPDATE EducationID=5;
INSERT INTO `tbld_educations` VALUES(6, 'Current grad school student', 'Current grad school student', 'Current grad school student', 'Current grad school student', 0) ON DUPLICATE KEY UPDATE EducationID=6;
INSERT INTO `tbld_educations` VALUES(7, 'MA/MS/MBA', 'MA/MS/MBA', 'MA/MS/MBA', 'MA/MS/MBA', 0) ON DUPLICATE KEY UPDATE EducationID=7;
INSERT INTO `tbld_educations` VALUES(8, 'PhD/Post doctorate', 'PhD/Post doctorate', 'PhD/Post doctorate', 'PhD/Post doctorate', 0) ON DUPLICATE KEY UPDATE EducationID=8;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_eyescolors`
--

CREATE TABLE IF NOT EXISTS `tbld_eyescolors` (
  `EyeColorID` int(10) unsigned NOT NULL auto_increment,
  `L1EyeColor` varchar(20) collate utf8_unicode_ci NOT NULL,
  `L2EyeColor` varchar(40) collate utf8_unicode_ci NOT NULL,
  `L3EyeColor` varchar(20) collate utf8_unicode_ci NOT NULL,
  `L4EyeColor` varchar(20) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`EyeColorID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

--
-- Dumping data for table `tbld_eyescolors`
--

INSERT INTO `tbld_eyescolors` VALUES(1, 'Black', 'Black', 'Black', 'Black', 0) ON DUPLICATE KEY UPDATE EyeColorID=1;
INSERT INTO `tbld_eyescolors` VALUES(2, 'Blue', 'Blue', 'Blue', 'Blue', 0) ON DUPLICATE KEY UPDATE EyeColorID=2;
INSERT INTO `tbld_eyescolors` VALUES(3, 'Brown', 'Brown', 'Brown', 'Brown', 0) ON DUPLICATE KEY UPDATE EyeColorID=3;
INSERT INTO `tbld_eyescolors` VALUES(4, 'Gray', 'Gray', 'Gray', 'Gray', 0) ON DUPLICATE KEY UPDATE EyeColorID=4;
INSERT INTO `tbld_eyescolors` VALUES(5, 'Green', 'Green', 'Green', 'Green', 0) ON DUPLICATE KEY UPDATE EyeColorID=5;
INSERT INTO `tbld_eyescolors` VALUES(6, 'Hazel', 'Hazel', 'Hazel', 'Hazel', 0) ON DUPLICATE KEY UPDATE EyeColorID=6;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_gender`
--

CREATE TABLE IF NOT EXISTS `tbld_gender` (
  `GenderID` smallint(5) unsigned NOT NULL auto_increment,
  `L1Gender` varchar(6) collate utf8_unicode_ci NOT NULL,
  `L2Gender` varchar(12) collate utf8_unicode_ci NOT NULL,
  `L3Gender` varchar(12) collate utf8_unicode_ci NOT NULL,
  `L4Gender` varchar(12) collate utf8_unicode_ci NOT NULL,
  `TopSorted` tinyint(4) default NULL,
  PRIMARY KEY  (`GenderID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Dumping data for table `tbld_gender`
--

INSERT INTO `tbld_gender` VALUES(1, 'Male', 'Male', '', '', NULL) ON DUPLICATE KEY UPDATE GenderID=1;
INSERT INTO `tbld_gender` VALUES(2, 'Female', 'Female', '', '', NULL) ON DUPLICATE KEY UPDATE GenderID=2;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_haircolors`
--

CREATE TABLE IF NOT EXISTS `tbld_haircolors` (
  `HairColorID` int(10) unsigned NOT NULL auto_increment,
  `L1HairColor` varchar(20) collate utf8_unicode_ci NOT NULL,
  `L2HairColor` varchar(40) collate utf8_unicode_ci NOT NULL,
  `L3HairColor` varchar(20) collate utf8_unicode_ci NOT NULL,
  `L4HairColor` varchar(20) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`HairColorID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=10 ;

--
-- Dumping data for table `tbld_haircolors`
--

INSERT INTO `tbld_haircolors` VALUES(1, 'Black', 'Black', 'Black', 'Black', 1) ON DUPLICATE KEY UPDATE HairColorID=1;
INSERT INTO `tbld_haircolors` VALUES(2, 'Auburn', 'Auburn', 'Auburn', 'Auburn', 0) ON DUPLICATE KEY UPDATE HairColorID=2;
INSERT INTO `tbld_haircolors` VALUES(3, 'Blonde', 'Blonde', 'Blonde', 'Blonde', 0) ON DUPLICATE KEY UPDATE HairColorID=3;
INSERT INTO `tbld_haircolors` VALUES(4, 'Light Brown', 'Light Brown', 'Light Brown', 'Light Brown', 0) ON DUPLICATE KEY UPDATE HairColorID=4;
INSERT INTO `tbld_haircolors` VALUES(5, 'Dark Brown', 'Dark Brown', 'Dark Brown', 'Dark Brown', 0) ON DUPLICATE KEY UPDATE HairColorID=5;
INSERT INTO `tbld_haircolors` VALUES(6, 'Red', 'Red', 'Red', 'Red', 0) ON DUPLICATE KEY UPDATE HairColorID=6;
INSERT INTO `tbld_haircolors` VALUES(7, 'White/gray', 'White/gray', 'White/gray', 'White/gray', 0) ON DUPLICATE KEY UPDATE HairColorID=7;
INSERT INTO `tbld_haircolors` VALUES(8, 'Bald', 'Bald', 'Bald', 'Bald', 0) ON DUPLICATE KEY UPDATE HairColorID=8;
INSERT INTO `tbld_haircolors` VALUES(9, 'A little gray', 'A little gray', 'A little gray', 'A little gray', 0) ON DUPLICATE KEY UPDATE HairColorID=9;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_height`
--

CREATE TABLE IF NOT EXISTS `tbld_height` (
  `HeightID` smallint(5) unsigned NOT NULL auto_increment,
  `Height` decimal(3,2) NOT NULL default '0.00',
  `HeightDescription` varchar(50) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`HeightID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=390 ;

--
-- Dumping data for table `tbld_height`
--

INSERT INTO `tbld_height` VALUES(349, 4.00, '(122cm)', 0) ON DUPLICATE KEY UPDATE HeightID=349;
INSERT INTO `tbld_height` VALUES(350, 4.10, '(125cm)', 0) ON DUPLICATE KEY UPDATE HeightID=350;
INSERT INTO `tbld_height` VALUES(351, 4.20, '(127cm)', 0) ON DUPLICATE KEY UPDATE HeightID=351;
INSERT INTO `tbld_height` VALUES(352, 4.30, '(129cm)', 0) ON DUPLICATE KEY UPDATE HeightID=352;
INSERT INTO `tbld_height` VALUES(353, 4.40, '(132cm)', 0) ON DUPLICATE KEY UPDATE HeightID=353;
INSERT INTO `tbld_height` VALUES(354, 4.50, '(135cm)', 0) ON DUPLICATE KEY UPDATE HeightID=354;
INSERT INTO `tbld_height` VALUES(355, 4.60, '(137cm)', 0) ON DUPLICATE KEY UPDATE HeightID=355;
INSERT INTO `tbld_height` VALUES(356, 4.70, '(140cm)', 0) ON DUPLICATE KEY UPDATE HeightID=356;
INSERT INTO `tbld_height` VALUES(357, 4.80, '(142cm)', 0) ON DUPLICATE KEY UPDATE HeightID=357;
INSERT INTO `tbld_height` VALUES(358, 4.90, '(145cm)', 0) ON DUPLICATE KEY UPDATE HeightID=358;
INSERT INTO `tbld_height` VALUES(359, 4.10, '(147cm)', 0) ON DUPLICATE KEY UPDATE HeightID=359;
INSERT INTO `tbld_height` VALUES(360, 4.11, '(149cm)', 0) ON DUPLICATE KEY UPDATE HeightID=360;
INSERT INTO `tbld_height` VALUES(361, 5.00, '(152cm)', 0) ON DUPLICATE KEY UPDATE HeightID=361;
INSERT INTO `tbld_height` VALUES(362, 5.10, '(154cm)', 0) ON DUPLICATE KEY UPDATE HeightID=362;
INSERT INTO `tbld_height` VALUES(363, 5.20, '(157cm)', 0) ON DUPLICATE KEY UPDATE HeightID=363;
INSERT INTO `tbld_height` VALUES(364, 5.30, '(160cm)', 0) ON DUPLICATE KEY UPDATE HeightID=364;
INSERT INTO `tbld_height` VALUES(365, 5.40, '(163cm)', 0) ON DUPLICATE KEY UPDATE HeightID=365;
INSERT INTO `tbld_height` VALUES(366, 5.50, '(165cm)', 0) ON DUPLICATE KEY UPDATE HeightID=366;
INSERT INTO `tbld_height` VALUES(367, 5.60, '(168cm)', 0) ON DUPLICATE KEY UPDATE HeightID=367;
INSERT INTO `tbld_height` VALUES(368, 5.70, '(170cm)', 0) ON DUPLICATE KEY UPDATE HeightID=368;
INSERT INTO `tbld_height` VALUES(369, 5.80, '(173cm)', 0) ON DUPLICATE KEY UPDATE HeightID=369;
INSERT INTO `tbld_height` VALUES(370, 5.90, '(175cm)', 0) ON DUPLICATE KEY UPDATE HeightID=370;
INSERT INTO `tbld_height` VALUES(371, 5.10, '(178cm)', 0) ON DUPLICATE KEY UPDATE HeightID=371;
INSERT INTO `tbld_height` VALUES(372, 5.11, '(180cm)', 0) ON DUPLICATE KEY UPDATE HeightID=372;
INSERT INTO `tbld_height` VALUES(373, 6.00, '(183cm)', 0) ON DUPLICATE KEY UPDATE HeightID=373;
INSERT INTO `tbld_height` VALUES(374, 6.10, '(185cm)', 0) ON DUPLICATE KEY UPDATE HeightID=374;
INSERT INTO `tbld_height` VALUES(375, 6.20, '(188cm)', 0) ON DUPLICATE KEY UPDATE HeightID=375;
INSERT INTO `tbld_height` VALUES(376, 6.30, '(190cm)', 0) ON DUPLICATE KEY UPDATE HeightID=376;
INSERT INTO `tbld_height` VALUES(377, 6.40, '(193cm)', 0) ON DUPLICATE KEY UPDATE HeightID=377;
INSERT INTO `tbld_height` VALUES(378, 6.50, '(195cm)', 0) ON DUPLICATE KEY UPDATE HeightID=378;
INSERT INTO `tbld_height` VALUES(379, 6.60, '(198cm)', 0) ON DUPLICATE KEY UPDATE HeightID=379;
INSERT INTO `tbld_height` VALUES(380, 6.70, '(200cm)', 0) ON DUPLICATE KEY UPDATE HeightID=380;
INSERT INTO `tbld_height` VALUES(381, 6.80, '(203cm)', 0) ON DUPLICATE KEY UPDATE HeightID=381;
INSERT INTO `tbld_height` VALUES(382, 6.90, '(205cm)', 0) ON DUPLICATE KEY UPDATE HeightID=382;
INSERT INTO `tbld_height` VALUES(383, 6.10, '(208cm)', 0) ON DUPLICATE KEY UPDATE HeightID=383;
INSERT INTO `tbld_height` VALUES(384, 6.11, '(210cm)', 0) ON DUPLICATE KEY UPDATE HeightID=384;
INSERT INTO `tbld_height` VALUES(385, 7.00, '(213cm)', 0) ON DUPLICATE KEY UPDATE HeightID=385;
INSERT INTO `tbld_height` VALUES(386, 7.10, '(215cm)', 0) ON DUPLICATE KEY UPDATE HeightID=386;
INSERT INTO `tbld_height` VALUES(387, 7.20, '(218cm)', 0) ON DUPLICATE KEY UPDATE HeightID=387;
INSERT INTO `tbld_height` VALUES(388, 7.30, '(220cm)', 0) ON DUPLICATE KEY UPDATE HeightID=388;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_hotlists`
--

CREATE TABLE IF NOT EXISTS `tbld_hotlists` (
  `UserID` int(10) unsigned NOT NULL default '0',
  `SavedUserID` int(10) unsigned NOT NULL default '0',
  `SavedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  KEY `IdxtblDHotListsUserID` (`UserID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Table structure for table `tbld_liftbaned`
--

CREATE TABLE IF NOT EXISTS `tbld_liftbaned` (
  `Id` int(11) NOT NULL auto_increment,
  `L1LiftBan` varchar(255) character set utf8 NOT NULL,
  `L2LiftBan` varchar(255) character set utf8 NOT NULL,
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=367 ;

--
-- Dumping data for table `tbld_liftbaned`
--

INSERT INTO `tbld_liftbaned` VALUES(-1, 'Never', 'Never') ON DUPLICATE KEY UPDATE Id=-1;
INSERT INTO `tbld_liftbaned` VALUES(1, '1 day', '1 day') ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_liftbaned` VALUES(2, '2 days', '2 days') ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_liftbaned` VALUES(3, '3 days', '3 days') ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_liftbaned` VALUES(4, '4 days', '4 days') ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `tbld_liftbaned` VALUES(5, '5 days', '5 days') ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `tbld_liftbaned` VALUES(6, '6 days', '6 days') ON DUPLICATE KEY UPDATE Id=6;
INSERT INTO `tbld_liftbaned` VALUES(7, '1 week', '1 week') ON DUPLICATE KEY UPDATE Id=7;
INSERT INTO `tbld_liftbaned` VALUES(14, '2 week', '2 weeks') ON DUPLICATE KEY UPDATE Id=14;
INSERT INTO `tbld_liftbaned` VALUES(21, '3 week', '3 weeks') ON DUPLICATE KEY UPDATE Id=21;
INSERT INTO `tbld_liftbaned` VALUES(30, '1 month', '1 month') ON DUPLICATE KEY UPDATE Id=30;
INSERT INTO `tbld_liftbaned` VALUES(60, '2 months', '2 months') ON DUPLICATE KEY UPDATE Id=60;
INSERT INTO `tbld_liftbaned` VALUES(90, '3 months', '3 months') ON DUPLICATE KEY UPDATE Id=90;
INSERT INTO `tbld_liftbaned` VALUES(120, '4 months', '4 months') ON DUPLICATE KEY UPDATE Id=120;
INSERT INTO `tbld_liftbaned` VALUES(150, '5 months', '5 months') ON DUPLICATE KEY UPDATE Id=150;
INSERT INTO `tbld_liftbaned` VALUES(180, '6 months', '6 months') ON DUPLICATE KEY UPDATE Id=180;
INSERT INTO `tbld_liftbaned` VALUES(210, '7 months', '7 months') ON DUPLICATE KEY UPDATE Id=210;
INSERT INTO `tbld_liftbaned` VALUES(240, '8 months', '8 months') ON DUPLICATE KEY UPDATE Id=240;
INSERT INTO `tbld_liftbaned` VALUES(270, '9 months', '9 months') ON DUPLICATE KEY UPDATE Id=270;
INSERT INTO `tbld_liftbaned` VALUES(300, '10 months', '10 months') ON DUPLICATE KEY UPDATE Id=300;
INSERT INTO `tbld_liftbaned` VALUES(330, '11 months', '11 months') ON DUPLICATE KEY UPDATE Id=330;
INSERT INTO `tbld_liftbaned` VALUES(365, '1 year', '1 year') ON DUPLICATE KEY UPDATE Id=365;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_maritalstatus`
--

CREATE TABLE IF NOT EXISTS `tbld_maritalstatus` (
  `MaritalStatusID` smallint(5) unsigned NOT NULL auto_increment,
  `L1MaritalStatus` varchar(30) collate utf8_unicode_ci NOT NULL,
  `L2MaritalStatus` varchar(60) collate utf8_unicode_ci NOT NULL,
  `L3MaritalStatus` varchar(35) collate utf8_unicode_ci NOT NULL,
  `L4MaritalStatus` varchar(35) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) default NULL,
  PRIMARY KEY  (`MaritalStatusID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

--
-- Dumping data for table `tbld_maritalstatus`
--

INSERT INTO `tbld_maritalstatus` VALUES(1, 'Single', 'Single', 'Single', 'Single', NULL) ON DUPLICATE KEY UPDATE MaritalStatusID=1;
INSERT INTO `tbld_maritalstatus` VALUES(2, 'In Relationship', 'In Relationship', 'In Relationship', 'In Relationship', NULL) ON DUPLICATE KEY UPDATE MaritalStatusID=2;
INSERT INTO `tbld_maritalstatus` VALUES(3, 'Married', 'Married', 'Married', 'Married', NULL) ON DUPLICATE KEY UPDATE MaritalStatusID=3;
INSERT INTO `tbld_maritalstatus` VALUES(4, 'Widowed', 'Widowed', 'Widowed', 'Widowed', NULL) ON DUPLICATE KEY UPDATE MaritalStatusID=4;
INSERT INTO `tbld_maritalstatus` VALUES(5, 'Separated', 'Separated', 'Separated', 'Separated', NULL) ON DUPLICATE KEY UPDATE MaritalStatusID=5;
INSERT INTO `tbld_maritalstatus` VALUES(6, 'Divorced', 'Divorced', 'Divorced', 'Divorced', NULL) ON DUPLICATE KEY UPDATE MaritalStatusID=6;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_messages`
--

CREATE TABLE IF NOT EXISTS `tbld_messages` (
  `MessageID` int(10) unsigned NOT NULL auto_increment,
  `RecieverID` int(10) unsigned NOT NULL default '0',
  `SenderID` int(10) unsigned NOT NULL default '0',
  `RecieverStatusID` tinyint(3) unsigned default '1',
  `SenderStatusID` tinyint(3) unsigned default '1',
  `SentOn` datetime default NULL,
  `ReadOn` datetime default NULL,
  `ReplyID` int(10) unsigned default NULL,
  `AttachmentUID` varchar(20) collate utf8_unicode_ci default NULL,
  `AttachmentExtension` varchar(7) collate utf8_unicode_ci default NULL,
  `Subject` varchar(50) collate utf8_unicode_ci NOT NULL,
  `Message` text collate utf8_unicode_ci,
  `MessageStatus` tinyint(3) NOT NULL default '1',
  PRIMARY KEY  (`MessageID`),
  KEY `tblDMessageRecieverID` (`RecieverID`),
  KEY `tblDMessageSenderID` (`SenderID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_notifyemail`
--

CREATE TABLE IF NOT EXISTS `tbld_notifyemail` (
  `Id` int(11) NOT NULL auto_increment,
  `L1NOTIFY` varchar(255) collate utf8_unicode_ci default NULL,
  `L2NOTIFY` varchar(255) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Dumping data for table `tbld_notifyemail`
--

INSERT INTO `tbld_notifyemail` VALUES(1, 'Daily', 'Daily') ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_notifyemail` VALUES(2, 'Monthly', 'Monthly') ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_notifyemail` VALUES(3, 'Instantly', 'Instantly') ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_notifyemail` VALUES(4, 'Do not email', 'Do not email') ON DUPLICATE KEY UPDATE Id=4;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_orders`
--

CREATE TABLE IF NOT EXISTS `tbld_orders` (
  `Id` int(11) NOT NULL auto_increment,
  `OrderId` varchar(255) character set utf8 default NULL,
  `UserId` int(11) NOT NULL default '0',
  `PayDate` datetime default NULL,
  `Amounts` int(11) NOT NULL default '0',
  `Status` tinyint(1) NOT NULL default '0',
  `PaymentId_NL` bigint(20) NOT NULL default '0',
  `PaymentType_NL` tinyint(3) NOT NULL default '0',
  `PriceId` int(11) NOT NULL default '0',
  `ExpireDate` datetime DEFAULT NULL,
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_photos`
--

CREATE TABLE IF NOT EXISTS `tbld_photos` (
  `PhotoID` int(10) unsigned NOT NULL auto_increment,
  `UserID` int(10) unsigned NOT NULL default '0',
  `PhotoExtension` varchar(20) collate utf8_unicode_ci NOT NULL,
  `PhotoDescription` varchar(20) collate utf8_unicode_ci NOT NULL,
  `IsApproved` tinyint(4) default NULL,
  `PrimaryPhoto` smallint(5) unsigned default NULL,
  `InsertDate` date default NULL,
  `TotalRating` int(11) default NULL,
  `NumberOfVote` int(11) default NULL,
  PRIMARY KEY  (`PhotoID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=14 ;

INSERT INTO `tbld_photos` VALUES(1, 13, 'jpg', 'Sample', 1, 1, '2012-10-11', 23, 5) ON DUPLICATE KEY UPDATE PhotoID=1;
INSERT INTO `tbld_photos` VALUES(2, 18, 'jpg', '', 1, 1, '2012-10-11', 19, 4) ON DUPLICATE KEY UPDATE PhotoID=2;
INSERT INTO `tbld_photos` VALUES(3, 20, 'jpg', '', 1, 1, '2012-10-11', 16, 5) ON DUPLICATE KEY UPDATE PhotoID=3;
INSERT INTO `tbld_photos` VALUES(4, 16, 'jpg', 'Sample', 1, 1, '2012-10-11', 8, 2) ON DUPLICATE KEY UPDATE PhotoID=4;
INSERT INTO `tbld_photos` VALUES(5, 27, 'jpg', '', 1, 1, '2012-10-11', 11, 2) ON DUPLICATE KEY UPDATE PhotoID=5;
INSERT INTO `tbld_photos` VALUES(6, 25, 'jpg', '', 1, 1, '2012-10-11', 12, 2) ON DUPLICATE KEY UPDATE PhotoID=6;
INSERT INTO `tbld_photos` VALUES(7, 25, 'jpg', '', 1, 0, '2013-01-06', 0, 0) ON DUPLICATE KEY UPDATE PhotoID=7;
INSERT INTO `tbld_photos` VALUES(8, 30, 'jpg', '', 1, 1, '2012-10-11', 10, 2) ON DUPLICATE KEY UPDATE PhotoID=8;
INSERT INTO `tbld_photos` VALUES(9, 22, 'jpg', 'Sample', 1, 0, '2012-10-20', 0, 0) ON DUPLICATE KEY UPDATE PhotoID=9;
INSERT INTO `tbld_photos` VALUES(10, 24, 'jpg', '', 1, 1, '2012-12-06', 53, 14) ON DUPLICATE KEY UPDATE PhotoID=10;
INSERT INTO `tbld_photos` VALUES(11, 28, 'jpg', '', 1, 0, '2013-01-12', 0, 0) ON DUPLICATE KEY UPDATE PhotoID=11;
INSERT INTO `tbld_photos` VALUES(12, 28, 'jpg', '', 1, 0, '2013-01-12', 0, 0) ON DUPLICATE KEY UPDATE PhotoID=12;
INSERT INTO `tbld_photos` VALUES(13, 28, 'jpg', 'Sample', 1, 1, '2012-10-24', 0, 0) ON DUPLICATE KEY UPDATE PhotoID=13;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_prices`
--

CREATE TABLE IF NOT EXISTS `tbld_prices` (
  `Id` int(11) NOT NULL auto_increment,
  `Prices` int(11) NOT NULL default '0',
  `NumofEmail` int(11) NOT NULL default '0',
  `Block` int(11) NOT NULL default '0',
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=7 ;

--
-- Dumping data for table `tbld_prices`
--

INSERT INTO `tbld_prices` VALUES(1, 2, 60, 1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_prices` VALUES(2, 4, 120, 2) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_prices` VALUES(3, 6, 200, 3) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_prices` VALUES(4, 8, 300, 4) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `tbld_prices` VALUES(5, 10, 2000, 10) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `tbld_prices` VALUES(6, 12, 3000, 20) ON DUPLICATE KEY UPDATE Id=6;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_profilestatus`
--

CREATE TABLE IF NOT EXISTS `tbld_profilestatus` (
  `ProfileStatusID` int(11) unsigned NOT NULL auto_increment,
  `L1ProfileStatus` varchar(100) collate utf8_unicode_ci NOT NULL,
  `L2ProfileStatus` varchar(100) collate utf8_unicode_ci NOT NULL,
  `L3ProfileStatus` varchar(100) collate utf8_unicode_ci NOT NULL,
  `L4ProfileStatus` varchar(30) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`ProfileStatusID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=10 ;

--
-- Dumping data for table `tbld_profilestatus`
--

INSERT INTO `tbld_profilestatus` VALUES(1, 'Enable', 'Enable', 'Enable', 'Enable', 1) ON DUPLICATE KEY UPDATE ProfileStatusID=1;
INSERT INTO `tbld_profilestatus` VALUES(2, 'Close / Hide my profile', 'Close / Hide my profile', 'Disable', 'Disable', 2) ON DUPLICATE KEY UPDATE ProfileStatusID=2;
INSERT INTO `tbld_profilestatus` VALUES(3, 'Remove profile', 'Remove profile', 'Removed', 'Removed', 3) ON DUPLICATE KEY UPDATE ProfileStatusID=3;
INSERT INTO `tbld_profilestatus` VALUES(9, 'Hide My Profile', 'Hide My Profile', '', '', 0) ON DUPLICATE KEY UPDATE ProfileStatusID=9;
INSERT INTO `tbld_profilestatus` VALUES(4, 'Wating for approve', 'Wating for approve', '', '', 4) ON DUPLICATE KEY UPDATE ProfileStatusID=4;
INSERT INTO `tbld_profilestatus` VALUES(5, 'Profile is unacceptable', 'Profile is unacceptable', '', '', 5) ON DUPLICATE KEY UPDATE ProfileStatusID=5;
INSERT INTO `tbld_profilestatus` VALUES(6, 'User has no intention to seek friends', 'User has no intention to seek friends', '', '', 6) ON DUPLICATE KEY UPDATE ProfileStatusID=6;
INSERT INTO `tbld_profilestatus` VALUES(7, 'Violate user agreement', 'Violate user agreement', '', '', 7) ON DUPLICATE KEY UPDATE ProfileStatusID=7;
INSERT INTO `tbld_profilestatus` VALUES(8, 'Disable due to users complains', 'Disable due to users complains', '', '', 8) ON DUPLICATE KEY UPDATE ProfileStatusID=8;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_religions`
--

CREATE TABLE IF NOT EXISTS `tbld_religions` (
  `ReligionID` smallint(5) unsigned NOT NULL auto_increment,
  `L1Religion` varchar(50) collate utf8_unicode_ci NOT NULL,
  `L2Religion` varchar(50) collate utf8_unicode_ci NOT NULL,
  `L3Religion` varchar(50) collate utf8_unicode_ci NOT NULL,
  `L4Religion` varchar(50) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) default NULL,
  PRIMARY KEY  (`ReligionID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=15 ;

--
-- Dumping data for table `tbld_religions`
--

INSERT INTO `tbld_religions` VALUES(1, 'No Religion', 'No Religion', 'No Religion', 'No Religion', 0) ON DUPLICATE KEY UPDATE ReligionID=1;
INSERT INTO `tbld_religions` VALUES(2, 'Agnostic', 'Agnostic', 'Agnostic', 'Agnostic', 0) ON DUPLICATE KEY UPDATE ReligionID=2;
INSERT INTO `tbld_religions` VALUES(3, 'Alternative', 'Alternative', 'Alternative', 'Alternative', 0) ON DUPLICATE KEY UPDATE ReligionID=3;
INSERT INTO `tbld_religions` VALUES(4, 'Atheist', 'Atheist', 'Atheist', 'Atheist', 0) ON DUPLICATE KEY UPDATE ReligionID=4;
INSERT INTO `tbld_religions` VALUES(5, 'Buddhist', 'Buddhist', 'Buddhist', 'Buddhist', 0) ON DUPLICATE KEY UPDATE ReligionID=5;
INSERT INTO `tbld_religions` VALUES(6, 'Taoist', 'Taoist', 'Taoist', 'Taoist', 0) ON DUPLICATE KEY UPDATE ReligionID=6;
INSERT INTO `tbld_religions` VALUES(7, 'Catholic', 'Catholic', 'Catholic', 'Catholic', 0) ON DUPLICATE KEY UPDATE ReligionID=7;
INSERT INTO `tbld_religions` VALUES(8, 'Christian', 'Christian', 'Christian', 'Christian', 0) ON DUPLICATE KEY UPDATE ReligionID=8;
INSERT INTO `tbld_religions` VALUES(9, 'Hindu', 'Hindu', 'Hindu', 'Hindu', 0) ON DUPLICATE KEY UPDATE ReligionID=9;
INSERT INTO `tbld_religions` VALUES(10, 'Islamic', 'Islamic', 'Islamic', 'Islamic', 0) ON DUPLICATE KEY UPDATE ReligionID=10;
INSERT INTO `tbld_religions` VALUES(11, 'Jewish', 'Jewish', 'Jewish', 'Jewish', 0) ON DUPLICATE KEY UPDATE ReligionID=11;
INSERT INTO `tbld_religions` VALUES(12, 'Protestant', 'Protestant', 'Protestant', 'Protestant', 0) ON DUPLICATE KEY UPDATE ReligionID=12;
INSERT INTO `tbld_religions` VALUES(13, 'Spiritual', 'Spiritual', 'Spiritual', 'Spiritual', 0) ON DUPLICATE KEY UPDATE ReligionID=13;
INSERT INTO `tbld_religions` VALUES(14, 'Other', 'Other', 'Other', 'Other', 0) ON DUPLICATE KEY UPDATE ReligionID=14;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_savedsearch`
--

CREATE TABLE IF NOT EXISTS `tbld_savedsearch` (
  `SearchID` int(10) unsigned NOT NULL auto_increment,
  `UserID` int(10) unsigned NOT NULL default '0',
  `SearchName` varchar(75) collate utf8_unicode_ci default NULL,
  `Query` text collate utf8_unicode_ci,
  `SearchValue` text collate utf8_unicode_ci,
  `DateCreated` datetime default NULL,
  `DateProcessed` datetime default NULL,
  `SubcriptionStatusID` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`SearchID`),
  KEY `tblDSavedSearchUserID` (`UserID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tbld_savedsearch`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbld_signalme`
--

CREATE TABLE IF NOT EXISTS `tbld_signalme` (
  `RecieverID` int(10) unsigned NOT NULL default '0',
  `SenderID` int(10) unsigned NOT NULL default '0',
  `SignalDate` datetime default '0000-00-00 00:00:00',
  `IsViews` tinyint(3) NOT NULL default '0',
  KEY `tblDSignalMeRecieverID` (`RecieverID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_smoking`
--

CREATE TABLE IF NOT EXISTS `tbld_smoking` (
  `SmokingID` smallint(5) unsigned NOT NULL auto_increment,
  `L1Smoking` varchar(50) collate utf8_unicode_ci NOT NULL,
  `L2Smoking` varchar(50) collate utf8_unicode_ci NOT NULL,
  `L3Smoking` varchar(50) collate utf8_unicode_ci NOT NULL,
  `L4Smoking` varchar(50) collate utf8_unicode_ci NOT NULL,
  `TopSorted` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`SmokingID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Dumping data for table `tbld_smoking`
--

INSERT INTO `tbld_smoking` VALUES(1, 'Non-smoker', 'Non-smoker', 'Non-smoker', 'Non-smoker', 0) ON DUPLICATE KEY UPDATE SmokingID=1;
INSERT INTO `tbld_smoking` VALUES(2, 'Heavy smoker', 'Heavy smoker', 'Heavy smoker', 'Heavy smoker', 0) ON DUPLICATE KEY UPDATE SmokingID=2;
INSERT INTO `tbld_smoking` VALUES(3, 'Light smoker', 'Light smoker', 'Light smoker', 'Light smoker', 0) ON DUPLICATE KEY UPDATE SmokingID=3;
INSERT INTO `tbld_smoking` VALUES(4, 'Cigar/pipe smoker', 'Cigar/pipe smoker', 'Cigar/pipe smoker', 'Cigar/pipe smoker', 0) ON DUPLICATE KEY UPDATE SmokingID=4;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_states`
--

CREATE TABLE IF NOT EXISTS `tbld_states` (
  `StateID` int(11) NOT NULL auto_increment,
  `State` varchar(50) collate utf8_unicode_ci NOT NULL,
  `CountryID` int(11) NOT NULL default '0',
  `TopSorted` tinyint(4) default NULL,
  PRIMARY KEY  (`StateID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=575 ;

--
-- Dumping data for table `tbld_states`
--

INSERT INTO `tbld_states` VALUES(236, 'Alabama', 223, 0) ON DUPLICATE KEY UPDATE StateID=236;
INSERT INTO `tbld_states` VALUES(237, 'Alaska', 223, 0) ON DUPLICATE KEY UPDATE StateID=237;
INSERT INTO `tbld_states` VALUES(238, 'Alberta', 223, 0) ON DUPLICATE KEY UPDATE StateID=238;
INSERT INTO `tbld_states` VALUES(239, 'American Samoa', 223, 0) ON DUPLICATE KEY UPDATE StateID=239;
INSERT INTO `tbld_states` VALUES(240, 'Arizona', 223, 0) ON DUPLICATE KEY UPDATE StateID=240;
INSERT INTO `tbld_states` VALUES(241, 'Arkansas', 223, 0) ON DUPLICATE KEY UPDATE StateID=241;
INSERT INTO `tbld_states` VALUES(242, 'Armed Forces', 223, 0) ON DUPLICATE KEY UPDATE StateID=242;
INSERT INTO `tbld_states` VALUES(243, 'Armed Forces Americas', 223, 0) ON DUPLICATE KEY UPDATE StateID=243;
INSERT INTO `tbld_states` VALUES(244, 'Armed Forces Pacific', 223, 0) ON DUPLICATE KEY UPDATE StateID=244;
INSERT INTO `tbld_states` VALUES(245, 'British Columbia', 223, 0) ON DUPLICATE KEY UPDATE StateID=245;
INSERT INTO `tbld_states` VALUES(246, 'California', 223, 0) ON DUPLICATE KEY UPDATE StateID=246;
INSERT INTO `tbld_states` VALUES(247, 'Colorado', 223, 0) ON DUPLICATE KEY UPDATE StateID=247;
INSERT INTO `tbld_states` VALUES(248, 'Connecticut', 223, 0) ON DUPLICATE KEY UPDATE StateID=248;
INSERT INTO `tbld_states` VALUES(249, 'Delaware', 223, 0) ON DUPLICATE KEY UPDATE StateID=249;
INSERT INTO `tbld_states` VALUES(250, 'District of Columbia', 223, 0) ON DUPLICATE KEY UPDATE StateID=250;
INSERT INTO `tbld_states` VALUES(251, 'Federated States of Micronesia', 223, 0) ON DUPLICATE KEY UPDATE StateID=251;
INSERT INTO `tbld_states` VALUES(252, 'Florida', 223, 0) ON DUPLICATE KEY UPDATE StateID=252;
INSERT INTO `tbld_states` VALUES(253, 'Georgia', 223, 0) ON DUPLICATE KEY UPDATE StateID=253;
INSERT INTO `tbld_states` VALUES(254, 'Guam', 223, 0) ON DUPLICATE KEY UPDATE StateID=254;
INSERT INTO `tbld_states` VALUES(255, 'Hawaii', 223, 0) ON DUPLICATE KEY UPDATE StateID=255;
INSERT INTO `tbld_states` VALUES(256, 'Idaho', 223, 0) ON DUPLICATE KEY UPDATE StateID=256;
INSERT INTO `tbld_states` VALUES(257, 'Illinois', 223, 0) ON DUPLICATE KEY UPDATE StateID=257;
INSERT INTO `tbld_states` VALUES(258, 'Indiana', 223, 0) ON DUPLICATE KEY UPDATE StateID=258;
INSERT INTO `tbld_states` VALUES(259, 'Iowa', 223, 0) ON DUPLICATE KEY UPDATE StateID=259;
INSERT INTO `tbld_states` VALUES(260, 'Kansas', 223, 0) ON DUPLICATE KEY UPDATE StateID=260;
INSERT INTO `tbld_states` VALUES(261, 'Kentucky', 223, 0) ON DUPLICATE KEY UPDATE StateID=261;
INSERT INTO `tbld_states` VALUES(262, 'Louisiana', 223, 0) ON DUPLICATE KEY UPDATE StateID=262;
INSERT INTO `tbld_states` VALUES(263, 'Maine', 223, 0) ON DUPLICATE KEY UPDATE StateID=263;
INSERT INTO `tbld_states` VALUES(264, 'Manitoba', 223, 0) ON DUPLICATE KEY UPDATE StateID=264;
INSERT INTO `tbld_states` VALUES(265, 'Marshall Islands', 223, 0) ON DUPLICATE KEY UPDATE StateID=265;
INSERT INTO `tbld_states` VALUES(266, 'Maryland', 223, 0) ON DUPLICATE KEY UPDATE StateID=266;
INSERT INTO `tbld_states` VALUES(267, 'Massachusetts', 223, 0) ON DUPLICATE KEY UPDATE StateID=267;
INSERT INTO `tbld_states` VALUES(268, 'Michigan', 223, 0) ON DUPLICATE KEY UPDATE StateID=268;
INSERT INTO `tbld_states` VALUES(269, 'Minnesota', 223, 0) ON DUPLICATE KEY UPDATE StateID=269;
INSERT INTO `tbld_states` VALUES(270, 'Mississippi', 223, 0) ON DUPLICATE KEY UPDATE StateID=270;
INSERT INTO `tbld_states` VALUES(271, 'Missouri', 223, 0) ON DUPLICATE KEY UPDATE StateID=271;
INSERT INTO `tbld_states` VALUES(272, 'Montana', 223, 0) ON DUPLICATE KEY UPDATE StateID=272;
INSERT INTO `tbld_states` VALUES(273, 'Nebraska', 223, 0) ON DUPLICATE KEY UPDATE StateID=273;
INSERT INTO `tbld_states` VALUES(274, 'Nevada', 223, 0) ON DUPLICATE KEY UPDATE StateID=274;
INSERT INTO `tbld_states` VALUES(275, 'New Brunswick', 223, 0) ON DUPLICATE KEY UPDATE StateID=275;
INSERT INTO `tbld_states` VALUES(276, 'New Hampshire', 223, 0) ON DUPLICATE KEY UPDATE StateID=276;
INSERT INTO `tbld_states` VALUES(277, 'New Jersey', 223, 0) ON DUPLICATE KEY UPDATE StateID=277;
INSERT INTO `tbld_states` VALUES(278, 'New Mexico', 223, 0) ON DUPLICATE KEY UPDATE StateID=278;
INSERT INTO `tbld_states` VALUES(279, 'New York', 223, 0) ON DUPLICATE KEY UPDATE StateID=279;
INSERT INTO `tbld_states` VALUES(280, 'Newfoundland', 223, 0) ON DUPLICATE KEY UPDATE StateID=280;
INSERT INTO `tbld_states` VALUES(281, 'Newfoundland and Labrador', 223, 0) ON DUPLICATE KEY UPDATE StateID=281;
INSERT INTO `tbld_states` VALUES(282, 'North Carolina', 223, 0) ON DUPLICATE KEY UPDATE StateID=282;
INSERT INTO `tbld_states` VALUES(283, 'North Dakota', 223, 0) ON DUPLICATE KEY UPDATE StateID=283;
INSERT INTO `tbld_states` VALUES(284, 'NorthernMariana Islands', 223, 0) ON DUPLICATE KEY UPDATE StateID=284;
INSERT INTO `tbld_states` VALUES(285, 'Northwest Territories', 223, 0) ON DUPLICATE KEY UPDATE StateID=285;
INSERT INTO `tbld_states` VALUES(286, 'Nova Scotia', 223, 0) ON DUPLICATE KEY UPDATE StateID=286;
INSERT INTO `tbld_states` VALUES(287, 'Nunavut', 223, 0) ON DUPLICATE KEY UPDATE StateID=287;
INSERT INTO `tbld_states` VALUES(288, 'Ohio', 223, 0) ON DUPLICATE KEY UPDATE StateID=288;
INSERT INTO `tbld_states` VALUES(289, 'Oklahoma', 223, 0) ON DUPLICATE KEY UPDATE StateID=289;
INSERT INTO `tbld_states` VALUES(290, 'Ontario', 223, 0) ON DUPLICATE KEY UPDATE StateID=290;
INSERT INTO `tbld_states` VALUES(291, 'Oregon', 223, 0) ON DUPLICATE KEY UPDATE StateID=291;
INSERT INTO `tbld_states` VALUES(292, 'Palau', 223, 0) ON DUPLICATE KEY UPDATE StateID=292;
INSERT INTO `tbld_states` VALUES(293, 'Pennsylvania', 223, 0) ON DUPLICATE KEY UPDATE StateID=293;
INSERT INTO `tbld_states` VALUES(294, 'Prince Edward Island', 223, 0) ON DUPLICATE KEY UPDATE StateID=294;
INSERT INTO `tbld_states` VALUES(295, 'Puerto Rico', 223, 0) ON DUPLICATE KEY UPDATE StateID=295;
INSERT INTO `tbld_states` VALUES(296, 'Quebec', 223, 0) ON DUPLICATE KEY UPDATE StateID=296;
INSERT INTO `tbld_states` VALUES(297, 'Rhode Island', 223, 0) ON DUPLICATE KEY UPDATE StateID=297;
INSERT INTO `tbld_states` VALUES(298, 'Saskatchewan', 223, 0) ON DUPLICATE KEY UPDATE StateID=298;
INSERT INTO `tbld_states` VALUES(299, 'South Carolina', 223, 0) ON DUPLICATE KEY UPDATE StateID=299;
INSERT INTO `tbld_states` VALUES(300, 'South Dakota', 223, 0) ON DUPLICATE KEY UPDATE StateID=300;
INSERT INTO `tbld_states` VALUES(301, 'Tennessee', 223, 0) ON DUPLICATE KEY UPDATE StateID=301;
INSERT INTO `tbld_states` VALUES(302, 'Texas', 223, 0) ON DUPLICATE KEY UPDATE StateID=302;
INSERT INTO `tbld_states` VALUES(303, 'Utah', 223, 0) ON DUPLICATE KEY UPDATE StateID=303;
INSERT INTO `tbld_states` VALUES(304, 'Vermont', 223, 0) ON DUPLICATE KEY UPDATE StateID=304;
INSERT INTO `tbld_states` VALUES(305, 'Virgin Islands', 223, 0) ON DUPLICATE KEY UPDATE StateID=305;
INSERT INTO `tbld_states` VALUES(306, 'Virginia', 223, 0) ON DUPLICATE KEY UPDATE StateID=306;
INSERT INTO `tbld_states` VALUES(307, 'Washington', 223, 0) ON DUPLICATE KEY UPDATE StateID=307;
INSERT INTO `tbld_states` VALUES(308, 'West Virginia', 223, 0) ON DUPLICATE KEY UPDATE StateID=308;
INSERT INTO `tbld_states` VALUES(309, 'Wisconsin', 223, 0) ON DUPLICATE KEY UPDATE StateID=309;
INSERT INTO `tbld_states` VALUES(310, 'Wyoming', 223, 0) ON DUPLICATE KEY UPDATE StateID=310;
INSERT INTO `tbld_states` VALUES(311, 'Yukon', 223, 0) ON DUPLICATE KEY UPDATE StateID=311;
INSERT INTO `tbld_states` VALUES(357, 'Hà Nam', 230, NULL) ON DUPLICATE KEY UPDATE StateID=357;
INSERT INTO `tbld_states` VALUES(312, 'An Giang', 230, NULL) ON DUPLICATE KEY UPDATE StateID=312;
INSERT INTO `tbld_states` VALUES(313, 'Afghanistan', 1, NULL) ON DUPLICATE KEY UPDATE StateID=313;
INSERT INTO `tbld_states` VALUES(314, 'Albania', 2, NULL) ON DUPLICATE KEY UPDATE StateID=314;
INSERT INTO `tbld_states` VALUES(315, 'Algeria', 3, NULL) ON DUPLICATE KEY UPDATE StateID=315;
INSERT INTO `tbld_states` VALUES(316, 'American Samoa', 4, NULL) ON DUPLICATE KEY UPDATE StateID=316;
INSERT INTO `tbld_states` VALUES(317, 'Andorra', 5, NULL) ON DUPLICATE KEY UPDATE StateID=317;
INSERT INTO `tbld_states` VALUES(318, 'Anguilla', 7, NULL) ON DUPLICATE KEY UPDATE StateID=318;
INSERT INTO `tbld_states` VALUES(319, 'Antarctica', 8, NULL) ON DUPLICATE KEY UPDATE StateID=319;
INSERT INTO `tbld_states` VALUES(320, 'Barbuda', 9, NULL) ON DUPLICATE KEY UPDATE StateID=320;
INSERT INTO `tbld_states` VALUES(321, 'Argentina', 10, NULL) ON DUPLICATE KEY UPDATE StateID=321;
INSERT INTO `tbld_states` VALUES(322, 'Armenia', 11, NULL) ON DUPLICATE KEY UPDATE StateID=322;
INSERT INTO `tbld_states` VALUES(323, 'Aruba', 12, NULL) ON DUPLICATE KEY UPDATE StateID=323;
INSERT INTO `tbld_states` VALUES(324, 'Australia', 13, NULL) ON DUPLICATE KEY UPDATE StateID=324;
INSERT INTO `tbld_states` VALUES(325, 'Austria', 14, NULL) ON DUPLICATE KEY UPDATE StateID=325;
INSERT INTO `tbld_states` VALUES(326, 'Azerbaijan', 15, NULL) ON DUPLICATE KEY UPDATE StateID=326;
INSERT INTO `tbld_states` VALUES(327, 'Bahamas', 16, NULL) ON DUPLICATE KEY UPDATE StateID=327;
INSERT INTO `tbld_states` VALUES(328, 'Bahrain', 17, NULL) ON DUPLICATE KEY UPDATE StateID=328;
INSERT INTO `tbld_states` VALUES(329, 'Bangladesh', 18, NULL) ON DUPLICATE KEY UPDATE StateID=329;
INSERT INTO `tbld_states` VALUES(330, 'Barbados', 19, NULL) ON DUPLICATE KEY UPDATE StateID=330;
INSERT INTO `tbld_states` VALUES(331, 'Belarus', 20, NULL) ON DUPLICATE KEY UPDATE StateID=331;
INSERT INTO `tbld_states` VALUES(332, 'Belgium', 21, NULL) ON DUPLICATE KEY UPDATE StateID=332;
INSERT INTO `tbld_states` VALUES(333, 'Belize', 22, NULL) ON DUPLICATE KEY UPDATE StateID=333;
INSERT INTO `tbld_states` VALUES(334, 'Benin', 23, NULL) ON DUPLICATE KEY UPDATE StateID=334;
INSERT INTO `tbld_states` VALUES(335, 'Bermuda', 24, NULL) ON DUPLICATE KEY UPDATE StateID=335;
INSERT INTO `tbld_states` VALUES(336, 'Vũng Tàu', 230, NULL) ON DUPLICATE KEY UPDATE StateID=336;
INSERT INTO `tbld_states` VALUES(337, 'Bắc Cạn', 230, NULL) ON DUPLICATE KEY UPDATE StateID=337;
INSERT INTO `tbld_states` VALUES(338, 'Bắc Giang', 230, NULL) ON DUPLICATE KEY UPDATE StateID=338;
INSERT INTO `tbld_states` VALUES(339, 'Bạc Liêu', 230, NULL) ON DUPLICATE KEY UPDATE StateID=339;
INSERT INTO `tbld_states` VALUES(340, 'Bắc Ninh', 230, NULL) ON DUPLICATE KEY UPDATE StateID=340;
INSERT INTO `tbld_states` VALUES(341, 'Bến Tre', 230, NULL) ON DUPLICATE KEY UPDATE StateID=341;
INSERT INTO `tbld_states` VALUES(342, 'Bình Dương', 230, NULL) ON DUPLICATE KEY UPDATE StateID=342;
INSERT INTO `tbld_states` VALUES(343, 'Bình Định', 230, NULL) ON DUPLICATE KEY UPDATE StateID=343;
INSERT INTO `tbld_states` VALUES(344, 'Bình Phước', 230, NULL) ON DUPLICATE KEY UPDATE StateID=344;
INSERT INTO `tbld_states` VALUES(345, 'Bình Thuận', 230, NULL) ON DUPLICATE KEY UPDATE StateID=345;
INSERT INTO `tbld_states` VALUES(346, 'Cà Mau', 230, NULL) ON DUPLICATE KEY UPDATE StateID=346;
INSERT INTO `tbld_states` VALUES(347, 'Cần Thơ', 230, NULL) ON DUPLICATE KEY UPDATE StateID=347;
INSERT INTO `tbld_states` VALUES(348, 'Cao Bằng', 230, NULL) ON DUPLICATE KEY UPDATE StateID=348;
INSERT INTO `tbld_states` VALUES(349, 'Dak Nông', 230, NULL) ON DUPLICATE KEY UPDATE StateID=349;
INSERT INTO `tbld_states` VALUES(350, 'Đà Nẵng', 230, NULL) ON DUPLICATE KEY UPDATE StateID=350;
INSERT INTO `tbld_states` VALUES(351, 'Đắc Lắc', 230, NULL) ON DUPLICATE KEY UPDATE StateID=351;
INSERT INTO `tbld_states` VALUES(352, 'Điện Biên', 230, NULL) ON DUPLICATE KEY UPDATE StateID=352;
INSERT INTO `tbld_states` VALUES(353, 'Đồng Nai', 230, NULL) ON DUPLICATE KEY UPDATE StateID=353;
INSERT INTO `tbld_states` VALUES(354, 'Đồng Tháp', 230, NULL) ON DUPLICATE KEY UPDATE StateID=354;
INSERT INTO `tbld_states` VALUES(355, 'Gia Lai', 230, NULL) ON DUPLICATE KEY UPDATE StateID=355;
INSERT INTO `tbld_states` VALUES(356, 'Hà Giang', 230, NULL) ON DUPLICATE KEY UPDATE StateID=356;
INSERT INTO `tbld_states` VALUES(358, 'Hà Nội', 230, NULL) ON DUPLICATE KEY UPDATE StateID=358;
INSERT INTO `tbld_states` VALUES(359, 'Hà Tỉnh', 230, NULL) ON DUPLICATE KEY UPDATE StateID=359;
INSERT INTO `tbld_states` VALUES(360, 'Hải Dương', 230, NULL) ON DUPLICATE KEY UPDATE StateID=360;
INSERT INTO `tbld_states` VALUES(361, 'Hải Phòng', 230, NULL) ON DUPLICATE KEY UPDATE StateID=361;
INSERT INTO `tbld_states` VALUES(362, 'Hậu Giang', 230, NULL) ON DUPLICATE KEY UPDATE StateID=362;
INSERT INTO `tbld_states` VALUES(363, 'Hồ Chí Minh', 230, NULL) ON DUPLICATE KEY UPDATE StateID=363;
INSERT INTO `tbld_states` VALUES(364, 'Hòa Bình', 230, NULL) ON DUPLICATE KEY UPDATE StateID=364;
INSERT INTO `tbld_states` VALUES(365, 'Hưng Yên', 230, NULL) ON DUPLICATE KEY UPDATE StateID=365;
INSERT INTO `tbld_states` VALUES(366, 'Khánh Hòa', 230, NULL) ON DUPLICATE KEY UPDATE StateID=366;
INSERT INTO `tbld_states` VALUES(367, 'Kiên Giang', 230, NULL) ON DUPLICATE KEY UPDATE StateID=367;
INSERT INTO `tbld_states` VALUES(368, 'Kon Tum', 230, NULL) ON DUPLICATE KEY UPDATE StateID=368;
INSERT INTO `tbld_states` VALUES(369, 'Lai Châu', 230, NULL) ON DUPLICATE KEY UPDATE StateID=369;
INSERT INTO `tbld_states` VALUES(370, 'Lâm Đồng', 230, NULL) ON DUPLICATE KEY UPDATE StateID=370;
INSERT INTO `tbld_states` VALUES(371, 'Lạng Sơn', 230, NULL) ON DUPLICATE KEY UPDATE StateID=371;
INSERT INTO `tbld_states` VALUES(372, 'Lào Cai', 230, NULL) ON DUPLICATE KEY UPDATE StateID=372;
INSERT INTO `tbld_states` VALUES(373, 'Long An', 230, NULL) ON DUPLICATE KEY UPDATE StateID=373;
INSERT INTO `tbld_states` VALUES(374, 'Nam Định', 230, NULL) ON DUPLICATE KEY UPDATE StateID=374;
INSERT INTO `tbld_states` VALUES(375, 'Nghệ An', 230, NULL) ON DUPLICATE KEY UPDATE StateID=375;
INSERT INTO `tbld_states` VALUES(376, 'Ninh Bình', 230, NULL) ON DUPLICATE KEY UPDATE StateID=376;
INSERT INTO `tbld_states` VALUES(377, 'Ninh Thuận', 230, NULL) ON DUPLICATE KEY UPDATE StateID=377;
INSERT INTO `tbld_states` VALUES(378, 'Phú Thọ', 230, NULL) ON DUPLICATE KEY UPDATE StateID=378;
INSERT INTO `tbld_states` VALUES(379, 'Phú Yên', 230, NULL) ON DUPLICATE KEY UPDATE StateID=379;
INSERT INTO `tbld_states` VALUES(380, 'Quảng Bình', 230, NULL) ON DUPLICATE KEY UPDATE StateID=380;
INSERT INTO `tbld_states` VALUES(381, 'Quảng Nam', 230, NULL) ON DUPLICATE KEY UPDATE StateID=381;
INSERT INTO `tbld_states` VALUES(382, 'Quãng Ngãi', 230, NULL) ON DUPLICATE KEY UPDATE StateID=382;
INSERT INTO `tbld_states` VALUES(383, 'Quảng Ninh', 230, NULL) ON DUPLICATE KEY UPDATE StateID=383;
INSERT INTO `tbld_states` VALUES(384, 'Quảng Trị', 230, NULL) ON DUPLICATE KEY UPDATE StateID=384;
INSERT INTO `tbld_states` VALUES(385, 'Sóc Trăng', 230, NULL) ON DUPLICATE KEY UPDATE StateID=385;
INSERT INTO `tbld_states` VALUES(386, 'Sơn La', 230, NULL) ON DUPLICATE KEY UPDATE StateID=386;
INSERT INTO `tbld_states` VALUES(387, 'Tây Ninh', 230, NULL) ON DUPLICATE KEY UPDATE StateID=387;
INSERT INTO `tbld_states` VALUES(388, 'Thái Bình', 230, NULL) ON DUPLICATE KEY UPDATE StateID=388;
INSERT INTO `tbld_states` VALUES(389, 'Thái Nguyên', 230, NULL) ON DUPLICATE KEY UPDATE StateID=389;
INSERT INTO `tbld_states` VALUES(390, 'Thanh Hóa', 230, NULL) ON DUPLICATE KEY UPDATE StateID=390;
INSERT INTO `tbld_states` VALUES(391, 'Thừa Thiên - Huế', 230, NULL) ON DUPLICATE KEY UPDATE StateID=391;
INSERT INTO `tbld_states` VALUES(392, 'Tiền Giang', 230, NULL) ON DUPLICATE KEY UPDATE StateID=392;
INSERT INTO `tbld_states` VALUES(393, 'Trà Vinh', 230, NULL) ON DUPLICATE KEY UPDATE StateID=393;
INSERT INTO `tbld_states` VALUES(394, 'Tuyên Quang', 230, NULL) ON DUPLICATE KEY UPDATE StateID=394;
INSERT INTO `tbld_states` VALUES(395, 'Vĩnh Long', 230, NULL) ON DUPLICATE KEY UPDATE StateID=395;
INSERT INTO `tbld_states` VALUES(396, 'Vĩnh Phúc', 230, NULL) ON DUPLICATE KEY UPDATE StateID=396;
INSERT INTO `tbld_states` VALUES(397, 'Yên Bái', 230, NULL) ON DUPLICATE KEY UPDATE StateID=397;
INSERT INTO `tbld_states` VALUES(398, 'Bhutan', 25, NULL) ON DUPLICATE KEY UPDATE StateID=398;
INSERT INTO `tbld_states` VALUES(399, 'Bolivia', 26, NULL) ON DUPLICATE KEY UPDATE StateID=399;
INSERT INTO `tbld_states` VALUES(400, 'Bosinia', 27, NULL) ON DUPLICATE KEY UPDATE StateID=400;
INSERT INTO `tbld_states` VALUES(401, 'Botswana', 28, NULL) ON DUPLICATE KEY UPDATE StateID=401;
INSERT INTO `tbld_states` VALUES(402, 'Buouvet', 29, NULL) ON DUPLICATE KEY UPDATE StateID=402;
INSERT INTO `tbld_states` VALUES(403, 'Brazil', 30, NULL) ON DUPLICATE KEY UPDATE StateID=403;
INSERT INTO `tbld_states` VALUES(404, 'Brunei', 32, NULL) ON DUPLICATE KEY UPDATE StateID=404;
INSERT INTO `tbld_states` VALUES(405, 'Bulgaria', 33, NULL) ON DUPLICATE KEY UPDATE StateID=405;
INSERT INTO `tbld_states` VALUES(406, 'Burkina', 34, NULL) ON DUPLICATE KEY UPDATE StateID=406;
INSERT INTO `tbld_states` VALUES(407, 'Burundi', 35, NULL) ON DUPLICATE KEY UPDATE StateID=407;
INSERT INTO `tbld_states` VALUES(408, 'Cambodia', 36, NULL) ON DUPLICATE KEY UPDATE StateID=408;
INSERT INTO `tbld_states` VALUES(409, 'Cameroon', 37, NULL) ON DUPLICATE KEY UPDATE StateID=409;
INSERT INTO `tbld_states` VALUES(410, 'Canada', 38, NULL) ON DUPLICATE KEY UPDATE StateID=410;
INSERT INTO `tbld_states` VALUES(411, 'Capeverde', 39, NULL) ON DUPLICATE KEY UPDATE StateID=411;
INSERT INTO `tbld_states` VALUES(412, 'Cayman', 40, NULL) ON DUPLICATE KEY UPDATE StateID=412;
INSERT INTO `tbld_states` VALUES(413, 'Chad', 42, NULL) ON DUPLICATE KEY UPDATE StateID=413;
INSERT INTO `tbld_states` VALUES(414, 'Chile', 43, NULL) ON DUPLICATE KEY UPDATE StateID=414;
INSERT INTO `tbld_states` VALUES(415, 'BacKinh', 44, NULL) ON DUPLICATE KEY UPDATE StateID=415;
INSERT INTO `tbld_states` VALUES(416, 'Hongkong', 45, NULL) ON DUPLICATE KEY UPDATE StateID=416;
INSERT INTO `tbld_states` VALUES(417, 'Colombia', 49, NULL) ON DUPLICATE KEY UPDATE StateID=417;
INSERT INTO `tbld_states` VALUES(418, 'Comoros', 50, NULL) ON DUPLICATE KEY UPDATE StateID=418;
INSERT INTO `tbld_states` VALUES(419, 'Congo', 51, NULL) ON DUPLICATE KEY UPDATE StateID=419;
INSERT INTO `tbld_states` VALUES(420, 'CookIslands', 53, NULL) ON DUPLICATE KEY UPDATE StateID=420;
INSERT INTO `tbld_states` VALUES(421, 'Costarica', 54, NULL) ON DUPLICATE KEY UPDATE StateID=421;
INSERT INTO `tbld_states` VALUES(422, 'Croatia', 56, NULL) ON DUPLICATE KEY UPDATE StateID=422;
INSERT INTO `tbld_states` VALUES(423, 'Cuba', 57, NULL) ON DUPLICATE KEY UPDATE StateID=423;
INSERT INTO `tbld_states` VALUES(424, 'Cyprus', 58, NULL) ON DUPLICATE KEY UPDATE StateID=424;
INSERT INTO `tbld_states` VALUES(425, 'Czech', 59, NULL) ON DUPLICATE KEY UPDATE StateID=425;
INSERT INTO `tbld_states` VALUES(426, 'Denmark', 60, NULL) ON DUPLICATE KEY UPDATE StateID=426;
INSERT INTO `tbld_states` VALUES(427, 'Djibouti', 61, NULL) ON DUPLICATE KEY UPDATE StateID=427;
INSERT INTO `tbld_states` VALUES(428, 'Dominica', 62, NULL) ON DUPLICATE KEY UPDATE StateID=428;
INSERT INTO `tbld_states` VALUES(429, 'EastTimor', 64, NULL) ON DUPLICATE KEY UPDATE StateID=429;
INSERT INTO `tbld_states` VALUES(430, 'Ecuador', 65, NULL) ON DUPLICATE KEY UPDATE StateID=430;
INSERT INTO `tbld_states` VALUES(431, 'Egypt', 66, NULL) ON DUPLICATE KEY UPDATE StateID=431;
INSERT INTO `tbld_states` VALUES(432, 'Salvador', 67, NULL) ON DUPLICATE KEY UPDATE StateID=432;
INSERT INTO `tbld_states` VALUES(433, 'Eritrea', 69, NULL) ON DUPLICATE KEY UPDATE StateID=433;
INSERT INTO `tbld_states` VALUES(434, 'Estonia', 70, NULL) ON DUPLICATE KEY UPDATE StateID=434;
INSERT INTO `tbld_states` VALUES(435, 'Ethiopia', 71, NULL) ON DUPLICATE KEY UPDATE StateID=435;
INSERT INTO `tbld_states` VALUES(436, 'Fiji', 74, NULL) ON DUPLICATE KEY UPDATE StateID=436;
INSERT INTO `tbld_states` VALUES(437, 'Finland', 75, NULL) ON DUPLICATE KEY UPDATE StateID=437;
INSERT INTO `tbld_states` VALUES(438, 'France', 76, NULL) ON DUPLICATE KEY UPDATE StateID=438;
INSERT INTO `tbld_states` VALUES(439, 'Gabon', 80, NULL) ON DUPLICATE KEY UPDATE StateID=439;
INSERT INTO `tbld_states` VALUES(440, 'Georgia', 82, NULL) ON DUPLICATE KEY UPDATE StateID=440;
INSERT INTO `tbld_states` VALUES(441, 'Germany', 83, NULL) ON DUPLICATE KEY UPDATE StateID=441;
INSERT INTO `tbld_states` VALUES(442, 'Ghana', 84, NULL) ON DUPLICATE KEY UPDATE StateID=442;
INSERT INTO `tbld_states` VALUES(443, 'Gibraltar', 85, NULL) ON DUPLICATE KEY UPDATE StateID=443;
INSERT INTO `tbld_states` VALUES(444, 'Greece', 86, NULL) ON DUPLICATE KEY UPDATE StateID=444;
INSERT INTO `tbld_states` VALUES(445, 'Greenland', 87, NULL) ON DUPLICATE KEY UPDATE StateID=445;
INSERT INTO `tbld_states` VALUES(446, 'Grenada', 88, NULL) ON DUPLICATE KEY UPDATE StateID=446;
INSERT INTO `tbld_states` VALUES(447, 'Guadeloupe', 89, NULL) ON DUPLICATE KEY UPDATE StateID=447;
INSERT INTO `tbld_states` VALUES(448, 'Guinea', 92, NULL) ON DUPLICATE KEY UPDATE StateID=448;
INSERT INTO `tbld_states` VALUES(449, 'Guyana', 94, NULL) ON DUPLICATE KEY UPDATE StateID=449;
INSERT INTO `tbld_states` VALUES(450, 'Guam', 90, NULL) ON DUPLICATE KEY UPDATE StateID=450;
INSERT INTO `tbld_states` VALUES(451, 'Guatemala', 91, NULL) ON DUPLICATE KEY UPDATE StateID=451;
INSERT INTO `tbld_states` VALUES(452, 'Haiti', 95, NULL) ON DUPLICATE KEY UPDATE StateID=452;
INSERT INTO `tbld_states` VALUES(453, 'Honduras', 97, NULL) ON DUPLICATE KEY UPDATE StateID=453;
INSERT INTO `tbld_states` VALUES(454, 'Hungary', 98, NULL) ON DUPLICATE KEY UPDATE StateID=454;
INSERT INTO `tbld_states` VALUES(455, 'Iceland', 99, NULL) ON DUPLICATE KEY UPDATE StateID=455;
INSERT INTO `tbld_states` VALUES(456, 'India', 100, NULL) ON DUPLICATE KEY UPDATE StateID=456;
INSERT INTO `tbld_states` VALUES(457, 'Jakatta', 101, NULL) ON DUPLICATE KEY UPDATE StateID=457;
INSERT INTO `tbld_states` VALUES(458, 'Iran', 102, NULL) ON DUPLICATE KEY UPDATE StateID=458;
INSERT INTO `tbld_states` VALUES(459, 'Iraq', 103, NULL) ON DUPLICATE KEY UPDATE StateID=459;
INSERT INTO `tbld_states` VALUES(460, 'Ireland', 104, NULL) ON DUPLICATE KEY UPDATE StateID=460;
INSERT INTO `tbld_states` VALUES(461, 'Israel', 105, NULL) ON DUPLICATE KEY UPDATE StateID=461;
INSERT INTO `tbld_states` VALUES(462, 'Italy', 106, NULL) ON DUPLICATE KEY UPDATE StateID=462;
INSERT INTO `tbld_states` VALUES(463, 'Jamaica', 107, NULL) ON DUPLICATE KEY UPDATE StateID=463;
INSERT INTO `tbld_states` VALUES(464, 'Tokyo', 108, NULL) ON DUPLICATE KEY UPDATE StateID=464;
INSERT INTO `tbld_states` VALUES(465, 'Jordan', 109, NULL) ON DUPLICATE KEY UPDATE StateID=465;
INSERT INTO `tbld_states` VALUES(466, 'Kazakhstan', 110, NULL) ON DUPLICATE KEY UPDATE StateID=466;
INSERT INTO `tbld_states` VALUES(467, 'Kenya', 111, NULL) ON DUPLICATE KEY UPDATE StateID=467;
INSERT INTO `tbld_states` VALUES(468, 'Kiribati', 112, NULL) ON DUPLICATE KEY UPDATE StateID=468;
INSERT INTO `tbld_states` VALUES(469, 'Korea', 113, NULL) ON DUPLICATE KEY UPDATE StateID=469;
INSERT INTO `tbld_states` VALUES(470, 'North Korea', 114, NULL) ON DUPLICATE KEY UPDATE StateID=470;
INSERT INTO `tbld_states` VALUES(471, 'Kuwait', 115, NULL) ON DUPLICATE KEY UPDATE StateID=471;
INSERT INTO `tbld_states` VALUES(472, 'Kyrgyzstan', 116, NULL) ON DUPLICATE KEY UPDATE StateID=472;
INSERT INTO `tbld_states` VALUES(473, 'Lao', 117, NULL) ON DUPLICATE KEY UPDATE StateID=473;
INSERT INTO `tbld_states` VALUES(474, 'Latvia', 118, NULL) ON DUPLICATE KEY UPDATE StateID=474;
INSERT INTO `tbld_states` VALUES(475, 'Lebanon', 119, NULL) ON DUPLICATE KEY UPDATE StateID=475;
INSERT INTO `tbld_states` VALUES(476, 'Lesotho', 120, NULL) ON DUPLICATE KEY UPDATE StateID=476;
INSERT INTO `tbld_states` VALUES(477, 'Liberia', 121, NULL) ON DUPLICATE KEY UPDATE StateID=477;
INSERT INTO `tbld_states` VALUES(478, 'Libya', 122, NULL) ON DUPLICATE KEY UPDATE StateID=478;
INSERT INTO `tbld_states` VALUES(479, 'Liechtenstein', 123, NULL) ON DUPLICATE KEY UPDATE StateID=479;
INSERT INTO `tbld_states` VALUES(480, 'Lithuania', 124, NULL) ON DUPLICATE KEY UPDATE StateID=480;
INSERT INTO `tbld_states` VALUES(481, 'Luxembourg', 125, NULL) ON DUPLICATE KEY UPDATE StateID=481;
INSERT INTO `tbld_states` VALUES(482, 'Madargascar', 127, NULL) ON DUPLICATE KEY UPDATE StateID=482;
INSERT INTO `tbld_states` VALUES(483, 'Malawi', 128, NULL) ON DUPLICATE KEY UPDATE StateID=483;
INSERT INTO `tbld_states` VALUES(484, 'Malaysia', 129, NULL) ON DUPLICATE KEY UPDATE StateID=484;
INSERT INTO `tbld_states` VALUES(485, 'Maldives', 130, NULL) ON DUPLICATE KEY UPDATE StateID=485;
INSERT INTO `tbld_states` VALUES(486, 'Mali', 131, NULL) ON DUPLICATE KEY UPDATE StateID=486;
INSERT INTO `tbld_states` VALUES(487, 'Malta', 132, NULL) ON DUPLICATE KEY UPDATE StateID=487;
INSERT INTO `tbld_states` VALUES(488, 'Marshall', 133, NULL) ON DUPLICATE KEY UPDATE StateID=488;
INSERT INTO `tbld_states` VALUES(489, 'Martinique', 134, NULL) ON DUPLICATE KEY UPDATE StateID=489;
INSERT INTO `tbld_states` VALUES(490, 'Mauritania', 135, NULL) ON DUPLICATE KEY UPDATE StateID=490;
INSERT INTO `tbld_states` VALUES(491, 'Mauritius', 136, NULL) ON DUPLICATE KEY UPDATE StateID=491;
INSERT INTO `tbld_states` VALUES(492, 'Mayotte', 137, NULL) ON DUPLICATE KEY UPDATE StateID=492;
INSERT INTO `tbld_states` VALUES(493, 'Mexico', 138, NULL) ON DUPLICATE KEY UPDATE StateID=493;
INSERT INTO `tbld_states` VALUES(494, 'Micronesia', 139, NULL) ON DUPLICATE KEY UPDATE StateID=494;
INSERT INTO `tbld_states` VALUES(495, 'Moldova', 140, NULL) ON DUPLICATE KEY UPDATE StateID=495;
INSERT INTO `tbld_states` VALUES(496, 'Monaco', 141, NULL) ON DUPLICATE KEY UPDATE StateID=496;
INSERT INTO `tbld_states` VALUES(497, 'Mongolia', 142, NULL) ON DUPLICATE KEY UPDATE StateID=497;
INSERT INTO `tbld_states` VALUES(498, 'Montserrat', 143, NULL) ON DUPLICATE KEY UPDATE StateID=498;
INSERT INTO `tbld_states` VALUES(499, 'Morocco', 144, NULL) ON DUPLICATE KEY UPDATE StateID=499;
INSERT INTO `tbld_states` VALUES(500, 'Mozambique', 145, NULL) ON DUPLICATE KEY UPDATE StateID=500;
INSERT INTO `tbld_states` VALUES(501, 'Myanmar', 146, NULL) ON DUPLICATE KEY UPDATE StateID=501;
INSERT INTO `tbld_states` VALUES(502, 'Namibia', 147, NULL) ON DUPLICATE KEY UPDATE StateID=502;
INSERT INTO `tbld_states` VALUES(503, 'Nauru', 148, NULL) ON DUPLICATE KEY UPDATE StateID=503;
INSERT INTO `tbld_states` VALUES(504, 'Nepal', 149, NULL) ON DUPLICATE KEY UPDATE StateID=504;
INSERT INTO `tbld_states` VALUES(505, 'Caledonia', 152, NULL) ON DUPLICATE KEY UPDATE StateID=505;
INSERT INTO `tbld_states` VALUES(506, 'New Zealand', 153, NULL) ON DUPLICATE KEY UPDATE StateID=506;
INSERT INTO `tbld_states` VALUES(507, 'Nicaragua', 154, NULL) ON DUPLICATE KEY UPDATE StateID=507;
INSERT INTO `tbld_states` VALUES(508, 'Niger', 155, NULL) ON DUPLICATE KEY UPDATE StateID=508;
INSERT INTO `tbld_states` VALUES(509, 'Nigeria', 156, NULL) ON DUPLICATE KEY UPDATE StateID=509;
INSERT INTO `tbld_states` VALUES(510, 'Niue', 157, NULL) ON DUPLICATE KEY UPDATE StateID=510;
INSERT INTO `tbld_states` VALUES(511, 'Norfolk', 158, NULL) ON DUPLICATE KEY UPDATE StateID=511;
INSERT INTO `tbld_states` VALUES(512, 'Norway', 160, NULL) ON DUPLICATE KEY UPDATE StateID=512;
INSERT INTO `tbld_states` VALUES(513, 'Oman', 161, NULL) ON DUPLICATE KEY UPDATE StateID=513;
INSERT INTO `tbld_states` VALUES(514, 'Pakistan', 162, NULL) ON DUPLICATE KEY UPDATE StateID=514;
INSERT INTO `tbld_states` VALUES(515, 'Palau', 163, NULL) ON DUPLICATE KEY UPDATE StateID=515;
INSERT INTO `tbld_states` VALUES(516, 'Panama', 164, NULL) ON DUPLICATE KEY UPDATE StateID=516;
INSERT INTO `tbld_states` VALUES(517, 'Paraguay', 166, NULL) ON DUPLICATE KEY UPDATE StateID=517;
INSERT INTO `tbld_states` VALUES(518, 'Peru', 167, NULL) ON DUPLICATE KEY UPDATE StateID=518;
INSERT INTO `tbld_states` VALUES(519, 'Philippines', 168, NULL) ON DUPLICATE KEY UPDATE StateID=519;
INSERT INTO `tbld_states` VALUES(520, 'Pitcairn', 169, NULL) ON DUPLICATE KEY UPDATE StateID=520;
INSERT INTO `tbld_states` VALUES(521, 'Poland', 170, NULL) ON DUPLICATE KEY UPDATE StateID=521;
INSERT INTO `tbld_states` VALUES(522, 'Portugal', 171, NULL) ON DUPLICATE KEY UPDATE StateID=522;
INSERT INTO `tbld_states` VALUES(523, 'Puerto', 172, NULL) ON DUPLICATE KEY UPDATE StateID=523;
INSERT INTO `tbld_states` VALUES(524, 'Qatar', 173, NULL) ON DUPLICATE KEY UPDATE StateID=524;
INSERT INTO `tbld_states` VALUES(525, 'Reunion', 174, NULL) ON DUPLICATE KEY UPDATE StateID=525;
INSERT INTO `tbld_states` VALUES(526, 'Romania', 175, NULL) ON DUPLICATE KEY UPDATE StateID=526;
INSERT INTO `tbld_states` VALUES(527, 'Russia', 176, NULL) ON DUPLICATE KEY UPDATE StateID=527;
INSERT INTO `tbld_states` VALUES(528, 'Rwanda', 177, NULL) ON DUPLICATE KEY UPDATE StateID=528;
INSERT INTO `tbld_states` VALUES(529, 'Helena', 178, NULL) ON DUPLICATE KEY UPDATE StateID=529;
INSERT INTO `tbld_states` VALUES(530, 'Lucia', 180, NULL) ON DUPLICATE KEY UPDATE StateID=530;
INSERT INTO `tbld_states` VALUES(531, 'Samoa', 183, NULL) ON DUPLICATE KEY UPDATE StateID=531;
INSERT INTO `tbld_states` VALUES(532, 'Marino', 184, NULL) ON DUPLICATE KEY UPDATE StateID=532;
INSERT INTO `tbld_states` VALUES(533, 'Arabia', 186, NULL) ON DUPLICATE KEY UPDATE StateID=533;
INSERT INTO `tbld_states` VALUES(534, 'Senegal', 187, NULL) ON DUPLICATE KEY UPDATE StateID=534;
INSERT INTO `tbld_states` VALUES(535, 'Seychelles', 188, NULL) ON DUPLICATE KEY UPDATE StateID=535;
INSERT INTO `tbld_states` VALUES(536, 'Sierra', 189, NULL) ON DUPLICATE KEY UPDATE StateID=536;
INSERT INTO `tbld_states` VALUES(537, 'Singapore', 190, NULL) ON DUPLICATE KEY UPDATE StateID=537;
INSERT INTO `tbld_states` VALUES(538, 'Slovakia', 191, NULL) ON DUPLICATE KEY UPDATE StateID=538;
INSERT INTO `tbld_states` VALUES(539, 'Slovenia', 192, NULL) ON DUPLICATE KEY UPDATE StateID=539;
INSERT INTO `tbld_states` VALUES(540, 'Solomon', 193, NULL) ON DUPLICATE KEY UPDATE StateID=540;
INSERT INTO `tbld_states` VALUES(541, 'Somalia', 194, NULL) ON DUPLICATE KEY UPDATE StateID=541;
INSERT INTO `tbld_states` VALUES(542, 'South Africa', 195, NULL) ON DUPLICATE KEY UPDATE StateID=542;
INSERT INTO `tbld_states` VALUES(543, 'Spain', 197, NULL) ON DUPLICATE KEY UPDATE StateID=543;
INSERT INTO `tbld_states` VALUES(544, 'Srilanka', 198, NULL) ON DUPLICATE KEY UPDATE StateID=544;
INSERT INTO `tbld_states` VALUES(545, 'Sudan', 199, NULL) ON DUPLICATE KEY UPDATE StateID=545;
INSERT INTO `tbld_states` VALUES(546, 'Suriname', 200, NULL) ON DUPLICATE KEY UPDATE StateID=546;
INSERT INTO `tbld_states` VALUES(547, 'Swaziland', 202, NULL) ON DUPLICATE KEY UPDATE StateID=547;
INSERT INTO `tbld_states` VALUES(548, 'Sweden', 203, NULL) ON DUPLICATE KEY UPDATE StateID=548;
INSERT INTO `tbld_states` VALUES(549, 'Switzerland', 204, NULL) ON DUPLICATE KEY UPDATE StateID=549;
INSERT INTO `tbld_states` VALUES(550, 'Syria', 205, NULL) ON DUPLICATE KEY UPDATE StateID=550;
INSERT INTO `tbld_states` VALUES(551, 'Taiwan', 206, NULL) ON DUPLICATE KEY UPDATE StateID=551;
INSERT INTO `tbld_states` VALUES(552, 'Tajikistan', 207, NULL) ON DUPLICATE KEY UPDATE StateID=552;
INSERT INTO `tbld_states` VALUES(553, 'Tanzania', 208, NULL) ON DUPLICATE KEY UPDATE StateID=553;
INSERT INTO `tbld_states` VALUES(554, 'Thailand', 209, NULL) ON DUPLICATE KEY UPDATE StateID=554;
INSERT INTO `tbld_states` VALUES(555, 'Togo', 210, NULL) ON DUPLICATE KEY UPDATE StateID=555;
INSERT INTO `tbld_states` VALUES(556, 'Tokelau', 211, NULL) ON DUPLICATE KEY UPDATE StateID=556;
INSERT INTO `tbld_states` VALUES(557, 'Tonga', 212, NULL) ON DUPLICATE KEY UPDATE StateID=557;
INSERT INTO `tbld_states` VALUES(558, 'Tobago', 213, NULL) ON DUPLICATE KEY UPDATE StateID=558;
INSERT INTO `tbld_states` VALUES(559, 'Tunisia', 214, NULL) ON DUPLICATE KEY UPDATE StateID=559;
INSERT INTO `tbld_states` VALUES(560, 'Turkey', 215, NULL) ON DUPLICATE KEY UPDATE StateID=560;
INSERT INTO `tbld_states` VALUES(561, 'Turkmenistan', 216, NULL) ON DUPLICATE KEY UPDATE StateID=561;
INSERT INTO `tbld_states` VALUES(562, 'Tuvalu', 218, NULL) ON DUPLICATE KEY UPDATE StateID=562;
INSERT INTO `tbld_states` VALUES(563, 'Uganda', 219, NULL) ON DUPLICATE KEY UPDATE StateID=563;
INSERT INTO `tbld_states` VALUES(564, 'Ukraine', 220, NULL) ON DUPLICATE KEY UPDATE StateID=564;
INSERT INTO `tbld_states` VALUES(565, 'London', 222, NULL) ON DUPLICATE KEY UPDATE StateID=565;
INSERT INTO `tbld_states` VALUES(566, 'Uruguay', 225, NULL) ON DUPLICATE KEY UPDATE StateID=566;
INSERT INTO `tbld_states` VALUES(567, 'Uzbekistan', 226, NULL) ON DUPLICATE KEY UPDATE StateID=567;
INSERT INTO `tbld_states` VALUES(568, 'Vanuatu', 227, NULL) ON DUPLICATE KEY UPDATE StateID=568;
INSERT INTO `tbld_states` VALUES(569, 'Venezuela', 229, NULL) ON DUPLICATE KEY UPDATE StateID=569;
INSERT INTO `tbld_states` VALUES(570, 'Western', 234, NULL) ON DUPLICATE KEY UPDATE StateID=570;
INSERT INTO `tbld_states` VALUES(571, 'Yemen', 235, NULL) ON DUPLICATE KEY UPDATE StateID=571;
INSERT INTO `tbld_states` VALUES(572, 'Yugoslavia', 236, NULL) ON DUPLICATE KEY UPDATE StateID=572;
INSERT INTO `tbld_states` VALUES(573, 'Zambia', 237, NULL) ON DUPLICATE KEY UPDATE StateID=573;
INSERT INTO `tbld_states` VALUES(574, 'Zimbabwe', 238, NULL) ON DUPLICATE KEY UPDATE StateID=574;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_users`
--

CREATE TABLE IF NOT EXISTS `tbld_users` (
  `UserID` int(11) unsigned NOT NULL auto_increment,
  `MembershipID` smallint(5) unsigned NOT NULL default '1',
  `RemainVIPContacts` bigint(20) unsigned default '0',
  `SiteID` tinyint(3) unsigned default '1',
  `Name` varchar(75) collate utf8_unicode_ci default NULL,
  `ProfileName` varchar(75) collate utf8_unicode_ci default NULL,
  `Email` varchar(75) collate utf8_unicode_ci NOT NULL,
  `Password` varchar(75) collate utf8_unicode_ci NOT NULL,
  `GenderID` smallint(5) unsigned default NULL,
  `HeightID` smallint(5) unsigned default NULL,
  `Age` smallint(5) unsigned default NULL,
  `BodyTypeID` smallint(5) unsigned default NULL,
  `HairColorID` smallint(5) unsigned default NULL,
  `EyeColorID` smallint(5) unsigned default NULL,
  `City` varchar(75) collate utf8_unicode_ci NOT NULL,
  `StateID` int(11) default NULL,
  `CountryID` smallint(6) NOT NULL default '0',
  `Zipcode` varchar(20) collate utf8_unicode_ci NOT NULL,
  `Phone` varchar(30) collate utf8_unicode_ci NOT NULL,
  `IMessagerID` smallint(5) unsigned default NULL,
  `IMessager` varchar(30) collate utf8_unicode_ci default NULL,
  `ReligionID` smallint(6) default NULL,
  `EducationID` smallint(6) default NULL,
  `Occupation` varchar(75) collate utf8_unicode_ci default NULL,
  `SmokingID` smallint(6) default NULL,
  `DrinkingID` smallint(6) default NULL,
  `MaritalStatusID` tinyint(3) unsigned default NULL,
  `DatingInterestID` smallint(5) unsigned default NULL,
  `HaveChildren` smallint(5) unsigned default NULL,
  `WantChildren` smallint(5) unsigned default NULL,
  `WillingToTravel` decimal(18,0) default NULL,
  `IPaddress` varchar(20) collate utf8_unicode_ci default NULL,
  `DatePosted` date NOT NULL default '0000-00-00',
  `DateUpdate` date NOT NULL default '0000-00-00',
  `LastEmailSent` datetime default NULL,
  `LastLogon` datetime default NULL,
  `ProfileStatusID` smallint(5) unsigned default '0',
  `NotificationScheduleID` tinyint(3) unsigned default '3',
  `MatchAgeFrom` tinyint(4) default NULL,
  `MatchAgeTO` tinyint(4) default NULL,
  `MatchGenderID` tinyint(6) default NULL,
  `MatchHeightIDFrom` smallint(6) default NULL,
  `MatchHeightIDTo` smallint(6) default NULL,
  `MatchBodyStyleID` smallint(6) default NULL,
  `MatchReligionID` smallint(6) default NULL,
  `MatchEducationID` smallint(6) default NULL,
  `MatchCareerID` smallint(6) default NULL,
  `MatchSmokingID` smallint(6) default NULL,
  `MatchDrinkingID` smallint(6) default NULL,
  `MatchMaritalStatusID` smallint(6) default NULL,
  `MatchNumberofChild` smallint(6) default NULL,
  `MatchBeSameLocation` smallint(6) default NULL,
  `SubcribeList` smallint(6) default NULL,
  `RandomVerifyID` int(10) unsigned NOT NULL default '0',
  `Goal` text collate utf8_unicode_ci,
  `Interests` text collate utf8_unicode_ci,
  `AboutMe` text collate utf8_unicode_ci,
  `AboutMyMatch` text collate utf8_unicode_ci,
  `PrimaryPhotoID` int(11) default NULL,
  `GroupID` smallint(5) unsigned NOT NULL default '0',
  `Views` bigint(20) default '0',
  `IsOnline` tinyint(3) NOT NULL DEFAULT '0',
  `TotalRating` bigint(20) NOT NULL DEFAULT '0',
  `NumberOfVote` bigint(20) NOT NULL DEFAULT '0',
  `ThemeId` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY  (`UserID`),
  KEY `tblDtblDUsersProfileStatusID` (`ProfileStatusID`),
  KEY `tblDUserIndexOnEmail` (`Email`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=31 ;

INSERT INTO `tbld_users` VALUES(13, 1, 0, 2, 'User1', 'User1', 'user1@domain.com', '111999', 2, 366, 30, 1, 1, 1, 'Sample data', 279, 223, '0084', '', 2, '', 5, 1, 'business', 1, 1, 6, 1, 2, 2, 137, '113.180.97.249', '2012-10-11', '2012-12-16', NULL, '2012-12-16 04:59:19', 1, 3, 37, 46, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 504189728, 'Hard working, wish for a peaceful and happy life', 'love music, love to travel with the person I love, like purple, like to stare out to sea the most', 'direct, a good girl, calm and not easy to get angry but if someone makes me angry I will remember for a long time', 'Direct, gallant, love and take good care of other members in family, hate lying', 1, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=13;
INSERT INTO `tbld_users` VALUES(16, 1, 0, 2, 'User4', 'User4', 'user4@domain.com', '119211', 2, 364, 20, 1, 1, 1, 'Sample data', 279, 223, '', '', NULL, NULL, 1, 1, 'countryman', 1, 1, 1, 3, 3, 1, 50, '171.255.10.230', '2012-10-11', '2012-10-11', NULL, '2013-05-04 14:00:17', 1, 1, 23, 40, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 345729815, 'Looking for a husband who is caring, warm-hearted and responsible', 'love cooking and take care of my family, like swimming but I cannot swim', 'My parents are farmers, I am living with my parents in Daknon Province. I do not have any degree or diploma and are unemployed. I want to have a serious relationship, age is not important', 'A gentle, caring, honest ,thoughtful, responsible man', 4, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=16;
INSERT INTO `tbld_users` VALUES(18, 1, 0, 2, 'User2', 'User2', 'user2@domain.com', '123456', 1, 365, 34, 1, 1, 1, 'Sample data', 279, 223, '0084', '', 2, '', 1, 5, 'Office staff', 1, 2, 1, 2, 3, 2, 50, '118.70.170.110', '2012-10-11', '2013-04-16', NULL, '2013-05-06 10:07:16', 1, 3, 24, 31, 2, 362, 364, 0, 0, 0, NULL, 1, 0, 0, NULL, 1, 0, 799971426, 'Looking for a spouse', 'listening to music, cooking, travelling ...', 'was born and grow up in Hanoi. Honest, sharing and good listener !', 'A nice and graceful woman', 2, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=18;
INSERT INTO `tbld_users` VALUES(20, 1, 0, 2, 'User3', 'User3', 'user3@domain.com', '250574', 1, 368, 36, 1, 1, 1, 'Sample data', 279, 223, '', '0903551214', 2, '', 1, 5, 'accounting', 1, 2, 1, 3, 3, 2, 50, '115.75.225.195', '2012-10-11', '2012-10-25', NULL, '2013-03-09 01:14:15', 1, 3, 26, 34, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 755687812, 'Be successful in job and  have a happy family with her parents and siblings', 'playing and watching sports, reading books and magazines, travelling', 'single, stable job and looking for a spouse. Would like to make friends with faithful and honest girls', 'faithful and honest', 3, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=20;
INSERT INTO `tbld_users` VALUES(22, 1, 0, 2, 'User5', 'User5', 'user5@domain.com', '123456', 2, 362, 25, 1, 1, 1, 'Sample data', 279, 223, '', '0909284462', 2, '', 5, 4, 'accounting', 1, 2, 1, 2, 3, 2, 50, '113.172.160.156', '2012-10-11', '2012-10-25', NULL, '2012-11-17 01:40:21', 1, 3, 27, 45, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 85928553, 'Looking for an ideal husband. (^_^)', 'Love travelling.hehe', 'Outgoing, active.>_', 'thoughtful. Has a stable job and lives in Saigon, (I hope that I will see a good man).', 9, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=22;
INSERT INTO `tbld_users` VALUES(24, 1, 0, 2, 'User6', 'User6', 'user6@domain.com', '201257', 2, 367, 49, 5, 1, 1, 'Sample data', 279, 223, '', '', 2, '', 5, 4, 'MC', 1, 1, 1, 1, 1, 1, 50, '115.72.217.222', '2012-10-11', '2012-10-15', NULL, '2013-05-08 08:36:53', 1, 3, 49, 62, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 125254593, 'Make friends', 'travelling, Watching movies , love Vietnamese traditional music', 'honest, direct, loyal, hate lying', 'I want to make friends with people from all over the world, share happiness and sadness ', 10, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=24;
INSERT INTO `tbld_users` VALUES(25, 1, 0, 2, 'User7', 'User7', 'user7@domain.com', 'trucyeu', 2, 361, 27, 1, 1, 1, 'Sample data', 279, 223, '12345', '', 1, '', 1, 5, 'Teachers', 1, 1, 1, 1, 3, 3, 50, '183.91.30.52', '2012-10-11', '2013-04-28', NULL, '2013-04-30 15:14:01', 1, 3, 27, 33, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 211814461, '"Each day I choose a joy. Choose the flowers and smiles. I take the wind and let you hold it. So i can see you smile...And like that, I enjoy my life each day ..."', 'Read fiction and non-fiction books, travel, listen to music, talk to friends.', 'the simpler you make it, the easier life becomes', 'Friends who share same goals and interests.', 6, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=25;
INSERT INTO `tbld_users` VALUES(27, 1, 0, 2, 'User8', 'User8', 'user8@domain.com.vn', '863715', 2, 357, 50, 1, 1, 1, 'Sample data', 279, 223, '', '', 2, '', 5, 4, 'Teachers', 1, 1, 1, 1, 1, 1, 50, '115.72.197.228', '2012-10-11', '2012-10-15', NULL, '2013-05-08 08:39:28', 1, 3, 50, 69, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 704317602, 'Make friends', 'Travel, watch movies, read books and magazines ,go to the pagoda regularly', 'Funny honest, direct, hate lying', 'looking for friends, does not matter where you come from, age is not important , does not care whether you are rich , share sadness and happiness', 5, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=27;
INSERT INTO `tbld_users` VALUES(28, 1, 0, 2, 'User9', 'User9', 'user9@domain.com', '102481', 1, 363, 32, 1, 1, 1, 'Sample data', 279, 223, '', '886-983478667', 2, '', 5, 1, 'Office staff', 1, 1, 6, 2, 2, 2, 500, '115.82.7.159', '2012-10-11', '2013-04-16', NULL, '2013-04-29 10:36:01', 1, 1, 25, 28, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 266378200, 'looking for a woman who can share happiness and sadness, taking care of each other, building a happy family together.', 'watch movies, travel', 'height: 1.58m weight: 46 kg, nice, calm, antagonistic, besides these I still have a lot of positive qualities and some negative ones, I believe that no one is perfect, you can understand me better when we are dating. hiiii', 'take good care of family, share sadness and happiness', 11, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=28;
INSERT INTO `tbld_users` VALUES(30, 1, 0, 2, 'User10', 'User10', 'user10@domain.com', '371957', 2, 362, 47, 2, 1, 1, 'Sample data', 279, 223, '', '', 2, '', 5, 4, 'business', 1, 1, 4, 1, 1, 1, 50, '115.72.197.228', '2012-10-11', '2012-10-15', NULL, '2013-05-08 08:38:55', 1, 3, 50, 60, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 431042685, 'Make friends', 'traveling, love music and Vietnamese traditional music', 'good sense of humor, honest , direct, hate lying', 'Want to make friends with people from different provinces and cities, share happiness and sadness , looking forward to your reply', 8, 0, 0, 0, 0, 0, 1) ON DUPLICATE KEY UPDATE UserID=30;

-- --------------------------------------------------------

--
-- Table structure for table `tbld_whoviews`
--

CREATE TABLE IF NOT EXISTS `tbld_whoviews` (
  `Id` int(11) NOT NULL auto_increment,
  `UserId` int(11) NOT NULL,
  `ViewUserId` int(11) NOT NULL,
  `ViewDate` datetime NOT NULL,
  `IsView` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Table structure for table `tbld_filteremails`
--

CREATE TABLE IF NOT EXISTS `tbld_filteremails` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `EmailAddress` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `BanEmail` tinyint(3) NOT NULL DEFAULT '0',
  `BanDomain` tinyint(3) NOT NULL DEFAULT '0',
  `BanDate` datetime DEFAULT NULL,
  `ReasonBaned` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Table structure for table `tbld_filteremails`
--

CREATE TABLE IF NOT EXISTS `tbld_pages` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `PageName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PageBody` longtext COLLATE utf8_unicode_ci,
  `LastUpdated` datetime DEFAULT NULL,
  `IsActive` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `tbld_pages` VALUES (1,'Term of use','<div class=\"helpcontent\">\r\n                \t                        <p><b>This site was offline for royal and true, we would be allowed to set up the rules as follows:</b> </p>\r\n\r\n                        <p class=\"lheight23\"><b>1. Images:</b> The \r\nwebsite will censor all images posted on member profile, members can \r\nview their pictures immediately after posting, but others can not see if\r\n the pictures are not censored. The picture below will not be accepted: </p>\r\n    \r\n                        <p class=\"indentlh23\">a. Naked pictures (No shirt or pants) .</p>\r\n                        <p class=\"indentlh23\">b. Character image is sexually or provoke violence (of tongue, hand signs, invasions mark on hand, on his . . .) .</p>\r\n                        <p class=\"indentlh23\">c. Image ad or website name or email address .</p>\r\n                        <p class=\"indentlh23\">d. Figure fruits, plants, \r\ncars, houses, utensils, gold and silver (Generally is not your image). \r\nFigure a political character, or support parties, religious .</p>\r\n                        <p class=\"indentlh23\">e. Figure children or persons under 18 years old .</p>\r\n                        \r\n                        <p><i>Please only post pictures of you find your purpose .</i> </p>\r\n    \r\n                        <p><b>2. Profiles:</b> The website will censor all new documents published or revised and rewritten .</p>\r\n                        <p class=\"indentlh23\">Site only accept \r\napplication for up to find your purpose Tetragonal. Please do not \r\njoking, swearing, or saying to use this service to advertise private \r\nbusinesses .</p>\r\n                        <p class=\"indentlh23\">Please do not post email address or phone number on your profile . </p>\r\n                        <p><i>We would refuse no records to find your purpose or not proper records rules .</i></p>\r\n                        \r\n                        <p><b><i>Sovereignty site please keep the records, photos, scripts have been posted for this site .</i></b></p>\r\n                        \r\n                        <p><b>3. Email:</b> Do not type your phone number, email address in email content .<br>All your email contents must be under the supervision of website .</p>\r\n                        \r\n                        <p class=\"lheight23\">This is family oriented community website .<br>We\r\n reserve the right to remove postings that defame or insult anyone. Our \r\nstaffs will review and approve profiles and photos posted on this site \r\nwithin 24 hours .</p>\r\n                                        </div>','2013-07-22 16:35:10',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_pages` VALUES (2,'Help - User Guide','<p class=\"lheight23\"><a><b>1. Sign up / Create account </b> -&gt; Simple with 3 steps :</a></p>\r\n                        <span id=\"faq1\">\r\n                            <p class=\"indentlh23\">Step 1:<br>\r\n                                <img src=\"imgs/L1step1.jpg\" style=\"margin-left:20px;\" border=\"0\">\r\n                            </p>\r\n                            <p style=\"text-indent:20px; line-height:23px;\">Step 2: <br>\r\n                                <img src=\"imgs/L1step2.jpg\" style=\"margin-left:20px;\" border=\"0\">\r\n                            </p>\r\n                            <p style=\"text-indent:20px; line-height:23px;\">Step 3: <br>\r\n                                <img src=\"imgs/L1step3.jpg\" style=\"margin-left:20px;\" border=\"0\">\r\n                            </p>\r\n                        </span>\r\n                    \r\n                        <p class=\"lheight23\"><a><b>2. How can I forget my password ?</b></a></p>\r\n                        <span id=\"faq2\">\r\n                            <p class=\"indentlh23\">- At the homepage click on <b><i>Sign-In</i></b></p>\r\n                            <p class=\"indentlh23\">- At the <b><i>Sign-In</i></b> page click on <b><i>Forgot password</i></b></p>\r\n                            <p class=\"indentlh23\">\r\n                                <img src=\"imgs/L1forgot.jpg\" style=\"margin-left:20px;\" border=\"0\">\r\n                            </p>\r\n                        </span>\r\n                    \r\n                        <p><a><b>3. I want to change my password, what to do ?</b></a></p>\r\n                        <span id=\"faq3\">\r\n                            <p class=\"indentlh23\">- Login to website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Change password</i></b></p>\r\n                            <p class=\"indentlh23\">\r\n                                <img src=\"imgs/L1changepass.jpg\" style=\"margin-left:20px; width:800px\" border=\"0\">\r\n                            </p>\r\n                            <p class=\"indentlh23\">- Fill out the information and press <b><i>Save</i></b>, your password has been changed .</p>\r\n                        </span>  \r\n                                      \r\n                        <p><a><b>4. Want to change your personal information to do ?</b></a></p>\r\n                        <span id=\"faq4\">\r\n                            <p class=\"indentlh23\">- Login to website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Updating personal information</i></b></p>\r\n                            <p class=\"indentlh23\">\r\n                                <img src=\"imgs/L1info.jpg\" style=\"margin-left:20px; width:800px\" border=\"0\">\r\n                            </p>\r\n                            <p class=\"indentlh23\">- Fill out the information and press <b><i>Save</i></b>, your personal information has been changed .</p>\r\n                        </span>\r\n                    \r\n                        <p><a><b>5. Want to change the information on my potential matches to do ?</b></a></p>\r\n                        <span id=\"faq5\">\r\n                            <p class=\"indentlh23\">- Login to website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Updating your potential matches</i></b></p>\r\n                            <p class=\"indentlh23\">\r\n                                <img src=\"imgs/L1match.jpg\" style=\"margin-left:20px; width:800px\" border=\"0\">\r\n                            </p>\r\n                            <p class=\"indentlh23\">- Fill in the information and press <b><i>Save</i></b>, your potential matches has been changed .</p>\r\n                        </span>\r\n                        \r\n                        <p><a><b>6. I can select other members to find / not find my profile</b></a></p>\r\n                        <span id=\"faq6\">\r\n                            <p class=\"indentlh23\">- Login to website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Hide / Show profile</i></b></p>\r\n                            <p class=\"indentlh23\">\r\n                                <img src=\"imgs/L1profile.jpg\" style=\"margin-left:20px; width:800px\" border=\"0\">\r\n                            </p>\r\n                            <p class=\"indentlh23\">- If your profile status is: <b>Waiting for approve</b> then you can not Hide / Show profile; You can set the time you want to notify when you have mail sent to you by other members .</p>\r\n                            <p class=\"indentlh23\">- Choose the option you want and press <b><i>Save settings</i></b>, your settings have been changed .</p>\r\n                        </span>\r\n                    \r\n                        <p><a><b>7. Want to upload photos, can I do ?</b></a></p>\r\n                        <span id=\"faq7\">\r\n                            <p class=\"indentlh23\">- Login to website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Upload photos</i></b></p>\r\n                            <p class=\"indentlh23\">\r\n                                <img src=\"imgs/L1upload.jpg\" style=\"margin-left:20px; width:800px\" border=\"0\">\r\n                            </p>\r\n                            <p class=\"indentlh23\">- Fill in the information and press <b><i>Upload</i></b>, your pictures will be shown after approve .</p>\r\n                        </span>\r\n                    \r\n                        <p><a><b>8. I want to delete photos uploaded ?</b></a></p>\r\n                        <span id=\"faq8\">\r\n                            <p class=\"indentlh23\">- Login to website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Remove photos</i></b></p>\r\n                            <p class=\"indentlh23\">\r\n                                <img src=\"imgs/L1delimg.jpg\" style=\"margin-left:20px; width:800px\" border=\"0\">\r\n                            </p>\r\n                            <p class=\"indentlh23\">- Select the photo that you want to delete by clicking the checkbox and click <b><i>Delete selected</i></b>, your photos have been deleted .</p>\r\n                        </span>\r\n                    \r\n                        <p><a><b>9. Want to change primary photo to do ?</b></a></p>\r\n                        <span id=\"faq9\">\r\n                            <p class=\"indentlh23\">- Login to website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Set primary photo</i></b></p>\r\n                            <p class=\"indentlh23\">\r\n                                <img src=\"imgs/L1primary.jpg\" style=\"margin-left:20px; width:800px\" border=\"0\">\r\n                            </p>\r\n                            <p class=\"indentlh23\">- Click on the picture of your choice and press <b><i>Save</i></b>, primary photo has been changed .</p>\r\n                    \t</span>\r\n                    \r\n                        <p><a><b>10. For my other activities</b></a></p>\r\n                        <span id=\"faq10\">\r\n                            <p class=\"indentlh23\">- Login to website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>People liked / familiarized with you ,</i></b> to know who have sent a message to make friend with you, please click <b><i>Save</i></b> to save any profile you like because these messages will be automatically deleted after 30 days .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Whom you liked / familiarized with</i></b> to know whom have liked / made friend, please click <b><i>Save</i></b> to save any profile you like because these messages will be automatically deleted after 30 days .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Viewed your profile</i></b> to know members have viewed your profile, please click <b><i>Save</i></b> to save any profile you like because these messages will be automatically deleted after 30 days .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Your potential matches, </i></b> this is a new feature of the website, this will filter the profiles matching your search criteria in the <b><i>Your potential matches</i></b>, you can send email to them or send signal to make friend or save their profile . This information will not be deleted .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Saved profile</i></b> to review profiles that you have previously saved. This information will not be deleted .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>ACCOUNT</i></b> -&gt; <b><i>Saved search</i></b> to review the results of the search that you previously saved. This information will not be deleted .</p>\r\n                        </span>\r\n                    \r\n                        <p><a><b>11. How do I find profiles that appropriate to my expect ?</b></a></p>\r\n                        <span id=\"faq11\">\r\n                            <p class=\"indentlh23\">- At the main menu of the website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>SEARCH</i></b></p>\r\n                            <p class=\"indentlh23\">- Website will give you two ways to search <b><i>Quick Search</i></b> and <b><i>Advanced Search </i></b> by <b><i>Reducing / Extend</i></b> the search criteria; <br>when the search results are given, you can save these results by type in a name you want to save in the <i>\"Type a name to save search results\"</i> box and then click the <b><i>Save Results </i></b>button .<br>You can also edit the search criteria by clicking on the <b><i>Edit search</i></b> button.</p>\r\n                        </span>\r\n                    \r\n                        <p><a><b>12. How to send a message / Send a signal to someone to make friend or Save a profile ?</b></a></p>\r\n                        <span id=\"faq12\">\r\n                            <p class=\"indentlh23\"><b>a. Send email</b> there are two ways:</p>\r\n                            <p class=\"indentlh23\">- Method 1: Select the menu <b><i>EMAIL</i></b> -&gt; <i>Compose</i></p>\r\n                            <p class=\"indentlh23\">- Method 2: Click the <b><i>Email</i></b> button which you can see in the profile of the members, website will redirect you to send email function .</p>\r\n                            <p class=\"indentlh23\"><b>b. Send a make friend: </b> Click the <b><i>Familiarize</i></b>button which you can see in the profile of the members, website will send your request to members .</p>\r\n                            <p class=\"indentlh23\"><b>c. Save profile: </b> Click the <b><i>Save</i></b> button which you can see in the profile of the members, that profile will be included in the list of your saved profile .</p>\r\n                        </span>\r\n                    \r\n                        <p><a><b>13. Send / Receive email</b></a></p>\r\n                        <span id=\"faq13\">\r\n                            <p class=\"indentlh23\">- Login to website .</p>\r\n                            <p class=\"indentlh23\">- Select the menu <b><i>EMAIL</i></b></p>\r\n                            <p class=\"indentlh23\">- Here you can send \r\nmessages to other members, view others\' messages sent to you, manage \r\nmessages you have sent/ have not sent to someone that sent messages to \r\nyou, and mailbox user guide .</p><p class=\"indentlh23\"><br></p></span>','2013-07-22 16:04:35',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_pages` VALUES (3,'Admin Helps','This content help for admin will appear here !!','2013-07-22 16:59:56',1) ON DUPLICATE KEY UPDATE Id=3;

--
-- Table structure for table `tbld_cards_categories`
--

CREATE TABLE IF NOT EXISTS `tbld_cards_categories` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `NameCate` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `tbld_cards_categories` VALUES (1,'AtWork') ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_cards_categories` VALUES (2,'BabyCards') ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_cards_categories` VALUES (3,'Birthday') ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_cards_categories` VALUES (4,'Congratulation') ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `tbld_cards_categories` VALUES (5,'Friendship') ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `tbld_cards_categories` VALUES (6,'Getwell') ON DUPLICATE KEY UPDATE Id=6;
INSERT INTO `tbld_cards_categories` VALUES (7,'Halloween') ON DUPLICATE KEY UPDATE Id=7;
INSERT INTO `tbld_cards_categories` VALUES (8,'Hanukkah') ON DUPLICATE KEY UPDATE Id=8;
INSERT INTO `tbld_cards_categories` VALUES (9,'Invitation') ON DUPLICATE KEY UPDATE Id=9;
INSERT INTO `tbld_cards_categories` VALUES (10,'Love') ON DUPLICATE KEY UPDATE Id=10;
INSERT INTO `tbld_cards_categories` VALUES (11,'Miscellaneous') ON DUPLICATE KEY UPDATE Id=11;
INSERT INTO `tbld_cards_categories` VALUES (12,'NewYear') ON DUPLICATE KEY UPDATE Id=12;
INSERT INTO `tbld_cards_categories` VALUES (13,'Parents') ON DUPLICATE KEY UPDATE Id=13;
INSERT INTO `tbld_cards_categories` VALUES (14,'ReligiousDays') ON DUPLICATE KEY UPDATE Id=14;
INSERT INTO `tbld_cards_categories` VALUES (15,'Sorry') ON DUPLICATE KEY UPDATE Id=15;
INSERT INTO `tbld_cards_categories` VALUES (16,'StPatricksDay') ON DUPLICATE KEY UPDATE Id=16;
INSERT INTO `tbld_cards_categories` VALUES (17,'Thanksgiving') ON DUPLICATE KEY UPDATE Id=17;
INSERT INTO `tbld_cards_categories` VALUES (18,'Thankyou') ON DUPLICATE KEY UPDATE Id=18;
INSERT INTO `tbld_cards_categories` VALUES (19,'Valentine') ON DUPLICATE KEY UPDATE Id=19;
INSERT INTO `tbld_cards_categories` VALUES (20,'Xmas') ON DUPLICATE KEY UPDATE Id=20;

--
-- Table structure for table `tbld_greetingcards`
--

CREATE TABLE IF NOT EXISTS `tbld_greetingcards` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `CardCate` int(11) NOT NULL DEFAULT '0',
  `CardName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsText` int(11) NOT NULL DEFAULT '0',
  `ViewFormat` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=174 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


INSERT INTO `tbld_greetingcards` VALUES (1,1,'i-AtWork-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_greetingcards` VALUES (2,1,'i-AtWork-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_greetingcards` VALUES (3,1,'i-AtWork-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_greetingcards` VALUES (4,1,'i-AtWork-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `tbld_greetingcards` VALUES (5,2,'i-BabyCards-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `tbld_greetingcards` VALUES (6,2,'i-BabyCards-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=6;
INSERT INTO `tbld_greetingcards` VALUES (7,2,'i-BabyCards-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=7;
INSERT INTO `tbld_greetingcards` VALUES (8,2,'i-BabyCards-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=8;
INSERT INTO `tbld_greetingcards` VALUES (9,3,'i-Birthday-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=9;
INSERT INTO `tbld_greetingcards` VALUES (10,3,'i-Birthday-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=10;
INSERT INTO `tbld_greetingcards` VALUES (11,3,'i-Birthday-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=11;
INSERT INTO `tbld_greetingcards` VALUES (12,3,'i-Birthday-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=12;
INSERT INTO `tbld_greetingcards` VALUES (13,3,'i-Birthday-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=13;
INSERT INTO `tbld_greetingcards` VALUES (14,3,'i-Birthday-6@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=14;
INSERT INTO `tbld_greetingcards` VALUES (15,3,'i-Birthday-7@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=15;
INSERT INTO `tbld_greetingcards` VALUES (16,3,'i-Birthday-8@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=16;
INSERT INTO `tbld_greetingcards` VALUES (17,3,'i-Birthday-9@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=17;
INSERT INTO `tbld_greetingcards` VALUES (18,4,'i-Congratulation-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=18;
INSERT INTO `tbld_greetingcards` VALUES (19,4,'i-Congratulation-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=19;
INSERT INTO `tbld_greetingcards` VALUES (20,4,'i-Congratulation-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=20;
INSERT INTO `tbld_greetingcards` VALUES (21,4,'i-Congratulation-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=21;
INSERT INTO `tbld_greetingcards` VALUES (22,4,'i-Congratulation-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=22;
INSERT INTO `tbld_greetingcards` VALUES (23,5,'i-Friendship-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=23;
INSERT INTO `tbld_greetingcards` VALUES (24,5,'i-Friendship-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=24;
INSERT INTO `tbld_greetingcards` VALUES (25,5,'i-Friendship-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=25;
INSERT INTO `tbld_greetingcards` VALUES (26,5,'i-Friendship-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=26;
INSERT INTO `tbld_greetingcards` VALUES (27,5,'i-Friendship-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=27;
INSERT INTO `tbld_greetingcards` VALUES (28,6,'i-Getwell-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=28;
INSERT INTO `tbld_greetingcards` VALUES (29,6,'i-Getwell-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=29;
INSERT INTO `tbld_greetingcards` VALUES (30,6,'i-Getwell-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=30;
INSERT INTO `tbld_greetingcards` VALUES (31,6,'i-Getwell-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=31;
INSERT INTO `tbld_greetingcards` VALUES (32,6,'i-Getwell-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=32;
INSERT INTO `tbld_greetingcards` VALUES (33,7,'i-Halloween-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=33;
INSERT INTO `tbld_greetingcards` VALUES (34,7,'i-Halloween-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=34;
INSERT INTO `tbld_greetingcards` VALUES (35,7,'i-Halloween-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=35;
INSERT INTO `tbld_greetingcards` VALUES (36,7,'i-Halloween-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=36;
INSERT INTO `tbld_greetingcards` VALUES (37,7,'i-Halloween-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=37;
INSERT INTO `tbld_greetingcards` VALUES (38,8,'i-Hanukkah-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=38;
INSERT INTO `tbld_greetingcards` VALUES (39,8,'i-Hanukkah-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=39;
INSERT INTO `tbld_greetingcards` VALUES (40,8,'i-Hanukkah-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=40;
INSERT INTO `tbld_greetingcards` VALUES (41,8,'i-Hanukkah-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=41;
INSERT INTO `tbld_greetingcards` VALUES (42,8,'i-Hanukkah-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=42;
INSERT INTO `tbld_greetingcards` VALUES (43,8,'i-Hanukkah-6@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=43;
INSERT INTO `tbld_greetingcards` VALUES (44,8,'i-Hanukkah-7@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=44;
INSERT INTO `tbld_greetingcards` VALUES (45,8,'i-Hanukkah-8@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=45;
INSERT INTO `tbld_greetingcards` VALUES (46,8,'i-Hanukkah-9@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=46;
INSERT INTO `tbld_greetingcards` VALUES (47,8,'i-Hanukkah-10@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=47;
INSERT INTO `tbld_greetingcards` VALUES (48,8,'i-Hanukkah-11@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=48;
INSERT INTO `tbld_greetingcards` VALUES (49,8,'i-Hanukkah-12@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=49;
INSERT INTO `tbld_greetingcards` VALUES (50,8,'i-Hanukkah-13@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=50;
INSERT INTO `tbld_greetingcards` VALUES (51,8,'i-Hanukkah-14@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=51;
INSERT INTO `tbld_greetingcards` VALUES (52,8,'i-Hanukkah-15@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=52;
INSERT INTO `tbld_greetingcards` VALUES (53,9,'i-Invitation-1@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:30px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;12&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=53;
INSERT INTO `tbld_greetingcards` VALUES (54,9,'i-Invitation-2@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:45px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;12&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=54;
INSERT INTO `tbld_greetingcards` VALUES (55,9,'i-Invitation-3@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:45px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;12&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#FFF&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=55;
INSERT INTO `tbld_greetingcards` VALUES (56,9,'i-Invitation-4@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:45px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;12&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=56;
INSERT INTO `tbld_greetingcards` VALUES (57,9,'i-Invitation-5@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:70px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;10&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=57;
INSERT INTO `tbld_greetingcards` VALUES (58,10,'i-Love-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=58;
INSERT INTO `tbld_greetingcards` VALUES (59,10,'i-Love-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=59;
INSERT INTO `tbld_greetingcards` VALUES (60,10,'i-Love-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=60;
INSERT INTO `tbld_greetingcards` VALUES (61,10,'i-Love-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=61;
INSERT INTO `tbld_greetingcards` VALUES (62,10,'i-Love-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=62;
INSERT INTO `tbld_greetingcards` VALUES (63,10,'i-Love-6@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=63;
INSERT INTO `tbld_greetingcards` VALUES (64,11,'i-Miscellaneous-1@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:40px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;10&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=64;
INSERT INTO `tbld_greetingcards` VALUES (65,11,'i-Miscellaneous-2@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:50px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;10&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=65;
INSERT INTO `tbld_greetingcards` VALUES (66,11,'i-Miscellaneous-3@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:70px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;10&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=66;
INSERT INTO `tbld_greetingcards` VALUES (67,11,'i-Miscellaneous-4@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:170px; margin-top:30px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;10&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=67;
INSERT INTO `tbld_greetingcards` VALUES (68,11,'i-Miscellaneous-5@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:160px; margin-top:100px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;10&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=68;
INSERT INTO `tbld_greetingcards` VALUES (69,11,'i-Miscellaneous-6@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:160px; margin-top:60px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;10&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=69;
INSERT INTO `tbld_greetingcards` VALUES (70,11,'i-Miscellaneous-7@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:150px; margin-top:70px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;9&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=70;
INSERT INTO `tbld_greetingcards` VALUES (71,12,'i-NewYear-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=71;
INSERT INTO `tbld_greetingcards` VALUES (72,12,'i-NewYear-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=72;
INSERT INTO `tbld_greetingcards` VALUES (73,12,'i-NewYear-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=73;
INSERT INTO `tbld_greetingcards` VALUES (74,12,'i-NewYear-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=74;
INSERT INTO `tbld_greetingcards` VALUES (75,12,'i-NewYear-5@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:140px; margin-top:60px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;10&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=75;
INSERT INTO `tbld_greetingcards` VALUES (76,13,'i-Parents-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=76;
INSERT INTO `tbld_greetingcards` VALUES (77,13,'i-Parents-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=77;
INSERT INTO `tbld_greetingcards` VALUES (78,13,'i-Parents-3@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:140px; margin-top:40px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;13&quot;  style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; text-shadow: -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=78;
INSERT INTO `tbld_greetingcards` VALUES (79,13,'i-Parents-4@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:140px; margin-top:40px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;13&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; text-shadow: -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=79;
INSERT INTO `tbld_greetingcards` VALUES (80,13,'i-Parents-5@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:160px; margin-top:80px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; text-shadow: -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=80;
INSERT INTO `tbld_greetingcards` VALUES (81,14,'i-ReligiousDays-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=81;
INSERT INTO `tbld_greetingcards` VALUES (82,14,'i-ReligiousDays-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=82;
INSERT INTO `tbld_greetingcards` VALUES (83,14,'i-ReligiousDays-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=83;
INSERT INTO `tbld_greetingcards` VALUES (84,14,'i-ReligiousDays-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=84;
INSERT INTO `tbld_greetingcards` VALUES (85,14,'i-ReligiousDays-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=85;
INSERT INTO `tbld_greetingcards` VALUES (86,14,'i-ReligiousDays-6@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=86;
INSERT INTO `tbld_greetingcards` VALUES (87,14,'i-ReligiousDays-7@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=87;
INSERT INTO `tbld_greetingcards` VALUES (88,14,'i-ReligiousDays-8@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=88;
INSERT INTO `tbld_greetingcards` VALUES (89,14,'i-ReligiousDays-9@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=89;
INSERT INTO `tbld_greetingcards` VALUES (90,15,'i-Sorry-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=90;
INSERT INTO `tbld_greetingcards` VALUES (91,15,'i-Sorry-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=91;
INSERT INTO `tbld_greetingcards` VALUES (92,15,'i-Sorry-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=92;
INSERT INTO `tbld_greetingcards` VALUES (93,15,'i-Sorry-4@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:130px; margin-top:30px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=93;
INSERT INTO `tbld_greetingcards` VALUES (94,15,'i-Sorry-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=94;
INSERT INTO `tbld_greetingcards` VALUES (95,16,'i-StPatricksDay-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=95;
INSERT INTO `tbld_greetingcards` VALUES (96,16,'i-StPatricksDay-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=96;
INSERT INTO `tbld_greetingcards` VALUES (97,16,'i-StPatricksDay-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=97;
INSERT INTO `tbld_greetingcards` VALUES (98,16,'i-StPatricksDay-4@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:130px; margin-top:50px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=98;
INSERT INTO `tbld_greetingcards` VALUES (99,16,'i-StPatricksDay-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=99;
INSERT INTO `tbld_greetingcards` VALUES (100,16,'i-StPatricksDay-6@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=100;
INSERT INTO `tbld_greetingcards` VALUES (101,17,'i-Thanksgiving-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=101;
INSERT INTO `tbld_greetingcards` VALUES (102,17,'i-Thanksgiving-2@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:130px; margin-top:50px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=102;
INSERT INTO `tbld_greetingcards` VALUES (103,17,'i-Thanksgiving-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=103;
INSERT INTO `tbld_greetingcards` VALUES (104,17,'i-Thanksgiving-4@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:130px; margin-top:50px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=104;
INSERT INTO `tbld_greetingcards` VALUES (105,17,'i-Thanksgiving-5@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:130px; margin-top:50px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=105;
INSERT INTO `tbld_greetingcards` VALUES (106,18,'i-Thankyou-1@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=106;
INSERT INTO `tbld_greetingcards` VALUES (107,18,'i-Thankyou-2@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=107;
INSERT INTO `tbld_greetingcards` VALUES (108,18,'i-Thankyou-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=108;
INSERT INTO `tbld_greetingcards` VALUES (109,18,'i-Thankyou-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=109;
INSERT INTO `tbld_greetingcards` VALUES (110,18,'i-Thankyou-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=110;
INSERT INTO `tbld_greetingcards` VALUES (111,19,'i-Valentine-1@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:140px; margin-top:90px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;16&quot; rows=&quot;9&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=111;
INSERT INTO `tbld_greetingcards` VALUES (112,19,'i-Valentine-2@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:140px; margin-top:100px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;16&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#FFF&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=112;
INSERT INTO `tbld_greetingcards` VALUES (113,19,'i-Valentine-3@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=113;
INSERT INTO `tbld_greetingcards` VALUES (114,19,'i-Valentine-4@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=114;
INSERT INTO `tbld_greetingcards` VALUES (115,19,'i-Valentine-5@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=115;
INSERT INTO `tbld_greetingcards` VALUES (116,19,'i-Valentine-6@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:110px; margin-top:155px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;23&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=116;
INSERT INTO `tbld_greetingcards` VALUES (117,19,'i-Valentine-7@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=117;
INSERT INTO `tbld_greetingcards` VALUES (118,19,'i-Valentine-8@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=118;
INSERT INTO `tbld_greetingcards` VALUES (119,19,'i-Valentine-9@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=119;
INSERT INTO `tbld_greetingcards` VALUES (120,19,'i-Valentine-10@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=120;
INSERT INTO `tbld_greetingcards` VALUES (121,19,'i-Valentine-11@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=121;
INSERT INTO `tbld_greetingcards` VALUES (122,19,'i-Valentine-12@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:160px; margin-top:70px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;12&quot; rows=&quot;9&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=122;
INSERT INTO `tbld_greetingcards` VALUES (123,19,'i-Valentine-13@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:130px; margin-top:90px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;4&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=123;
INSERT INTO `tbld_greetingcards` VALUES (124,19,'i-Valentine-14@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:140px; margin-top:100px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;17&quot; rows=&quot;5&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=124;
INSERT INTO `tbld_greetingcards` VALUES (125,19,'i-Valentine-15@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:125px; margin-top:100px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=125;
INSERT INTO `tbld_greetingcards` VALUES (126,19,'i-Valentine-16@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=126;
INSERT INTO `tbld_greetingcards` VALUES (127,19,'i-Valentine-17@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=127;
INSERT INTO `tbld_greetingcards` VALUES (128,19,'i-Valentine-18@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:125px; margin-top:70px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#FFF&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=128;
INSERT INTO `tbld_greetingcards` VALUES (129,19,'i-Valentine-19@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:125px; margin-top:30px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;6&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=129;
INSERT INTO `tbld_greetingcards` VALUES (130,19,'i-Valentine-20@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=130;
INSERT INTO `tbld_greetingcards` VALUES (131,19,'i-Valentine-21@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=131;
INSERT INTO `tbld_greetingcards` VALUES (132,19,'i-Valentine-22@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=132;
INSERT INTO `tbld_greetingcards` VALUES (133,19,'i-Valentine-23@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=133;
INSERT INTO `tbld_greetingcards` VALUES (134,19,'i-Valentine-24@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:125px; margin-top:200px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;4&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#FFF&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=134;
INSERT INTO `tbld_greetingcards` VALUES (135,19,'i-Valentine-25@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=135;
INSERT INTO `tbld_greetingcards` VALUES (136,19,'i-Valentine-26@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:125px; margin-top:55px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;4&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=136;
INSERT INTO `tbld_greetingcards` VALUES (137,19,'i-Valentine-27@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:125px; margin-top:65px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;4&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=137;
INSERT INTO `tbld_greetingcards` VALUES (138,19,'i-Valentine-28@2x.jpg',0,NULL) ON DUPLICATE KEY UPDATE Id=138;
INSERT INTO `tbld_greetingcards` VALUES (139,19,'i-Valentine-29@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:125px; margin-top:30px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;4&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=139;
INSERT INTO `tbld_greetingcards` VALUES (140,19,'i-Valentine-30@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:125px; margin-top:30px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;5&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=140;
INSERT INTO `tbld_greetingcards` VALUES (141,19,'i-Valentine-31@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:120px; margin-top:25px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;6&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=141;
INSERT INTO `tbld_greetingcards` VALUES (142,20,'i-Xmas-1@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:130px; margin-top:80px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=142;
INSERT INTO `tbld_greetingcards` VALUES (143,20,'i-Xmas-2@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:150px; margin-top:120px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;5&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=143;
INSERT INTO `tbld_greetingcards` VALUES (144,20,'i-Xmas-3@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:130px; margin-top:40px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;13&quot; rows=&quot;6&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=144;
INSERT INTO `tbld_greetingcards` VALUES (145,20,'i-Xmas-4@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:130px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=145;
INSERT INTO `tbld_greetingcards` VALUES (146,20,'i-Xmas-5@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:150px; margin-top:60px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;6&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=146;
INSERT INTO `tbld_greetingcards` VALUES (147,20,'i-Xmas-6@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:130px; margin-top:90px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=147;
INSERT INTO `tbld_greetingcards` VALUES (148,20,'i-Xmas-7@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:170px; margin-top:50px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;6&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=148;
INSERT INTO `tbld_greetingcards` VALUES (149,20,'i-Xmas-8@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:135px; margin-top:80px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;17&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=149;
INSERT INTO `tbld_greetingcards` VALUES (150,20,'i-Xmas-9@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:155px; margin-top:60px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=150;
INSERT INTO `tbld_greetingcards` VALUES (151,20,'i-Xmas-10@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:110px; margin-top:70px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#FFF&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=151;
INSERT INTO `tbld_greetingcards` VALUES (152,20,'i-Xmas-11@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:110px; margin-top:70px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;16&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#000&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=152;
INSERT INTO `tbld_greetingcards` VALUES (153,20,'i-Xmas-12@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:140px; margin-top:70px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;16&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=153;
INSERT INTO `tbld_greetingcards` VALUES (154,20,'i-Xmas-13@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:110px; margin-top:80px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;22&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=154;
INSERT INTO `tbld_greetingcards` VALUES (155,20,'i-Xmas-14@2x.jpg',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:110px; margin-top:80px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;22&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#FFF&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=155;
INSERT INTO `tbld_greetingcards` VALUES (156,20,'i-Xmas-15@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:115px; margin-top:100px; background:transparent; text-align:left&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;22&quot; rows=&quot;7&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=156;
INSERT INTO `tbld_greetingcards` VALUES (157,20,'i-Xmas-16@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:150px; margin-top:80px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=157;
INSERT INTO `tbld_greetingcards` VALUES (158,20,'i-Xmas-17@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:150px; margin-top:125px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;5&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=158;
INSERT INTO `tbld_greetingcards` VALUES (159,20,'i-Xmas-18@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:120px; margin-top:50px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=159;
INSERT INTO `tbld_greetingcards` VALUES (160,20,'i-Xmas-19@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:135px; margin-top:50px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;16&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=160;
INSERT INTO `tbld_greetingcards` VALUES (161,20,'i-Xmas-20@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:150px; margin-top:65px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;5&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;&lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=161;
INSERT INTO `tbld_greetingcards` VALUES (162,20,'i-Xmas-21@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:145px; margin-top:70px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;14&quot; rows=&quot;5&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;&lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=162;
INSERT INTO `tbld_greetingcards` VALUES (163,20,'i-Xmas-22@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:120px; margin-top:70px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;20&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=163;
INSERT INTO `tbld_greetingcards` VALUES (164,20,'i-Xmas-23@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:135px; margin-top:55px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;18&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=164;
INSERT INTO `tbld_greetingcards` VALUES (165,20,'i-Xmas-24@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:135px; margin-top:65px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;17&quot; rows=&quot;10&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=165;
INSERT INTO `tbld_greetingcards` VALUES (166,20,'i-Xmas-25@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:142px; margin-top:80px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;15&quot; rows=&quot;8&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=166;
INSERT INTO `tbld_greetingcards` VALUES (167,20,'i-Xmas-26@2x.png',1,'&lt;div style=&quot;width:230px; background-color:#999; height:180px; margin-left:150px; margin-top:85px; background:transparent; text-align:left;&quot; id=&quot;loadtext&quot;&gt;\r\n        \t&lt;textarea cols=&quot;13&quot; rows=&quot;4&quot; style=&quot;border:hidden; background:transparent; overflow:hidden; text-align:justify; font-style:italic; color:#00F;&quot; placeholder=&quot;Your message&quot; id=&quot;yourmess&quot;&gt;&lt;/textarea&gt;\r\n        &lt;/div&gt;') ON DUPLICATE KEY UPDATE Id=167;

CREATE TABLE IF NOT EXISTS `tbld_ecards` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `SenderId` int(11) NOT NULL DEFAULT '0',
  `RecieverId` int(11) NOT NULL DEFAULT '0',
  `CardId` int(11) NOT NULL DEFAULT '0',
  `CateCardId` int(11) NOT NULL DEFAULT '0',
  `Subjects` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Contents` text COLLATE utf8_unicode_ci,
  `SentDate` datetime DEFAULT NULL,
  `WidthMess` int(11) NOT NULL DEFAULT '0',
  `HeightMess` int(11) NOT NULL DEFAULT '0',
  `LeftMess` int(11) NOT NULL DEFAULT '0',
  `TopMess` int(11) NOT NULL DEFAULT '0',
  `IsReed` tinyint(3) NOT NULL DEFAULT '0',
  `Music` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Table structure for table `tbld_chat`
--

CREATE TABLE IF NOT EXISTS `tbld_chat` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `from` varchar(255) collate utf8_unicode_ci NOT NULL,
  `to` varchar(255) collate utf8_unicode_ci NOT NULL,
  `message` text collate utf8_unicode_ci NOT NULL,
  `sent` datetime NOT NULL default '0000-00-00 00:00:00',
  `recd` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

--
-- Table structure for table `tbld_abuseprofiles`
--

CREATE TABLE IF NOT EXISTS `tbld_abuseprofiles` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `ReportBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ProfileId` int(11) NOT NULL DEFAULT '0',
  `Reason` text COLLATE utf8_unicode_ci,
  `ReprotDate` datetime DEFAULT NULL,
  `IsProcess` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Table structure for table `tbld_flirt_categories`
--

CREATE TABLE IF NOT EXISTS `tbld_flirt_categories` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `NameCate` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `tbld_flirt_categories` VALUES (1,'Romantic') ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_flirt_categories` VALUES (2,'Humorous') ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_flirt_categories` VALUES (3,'Casual') ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_flirt_categories` VALUES (4,'Whose line is it anyway') ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `tbld_flirt_categories` VALUES (5,'Holiday / Seasonal') ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `tbld_flirt_categories` VALUES (6,'Juda\'isms') ON DUPLICATE KEY UPDATE Id=6;

--
-- Table structure for table `tbld_flirts`
--

CREATE TABLE IF NOT EXISTS `tbld_flirts` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `CateId` int(11) NOT NULL DEFAULT '0',
  `FilrtValue` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `tbld_flirts` VALUES (1,1,'How is it what have not been snatched up yet ?') ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_flirts` VALUES (2,1,'You look and sound adorable. I\'d love to learn more.') ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_flirts` VALUES (3,1,'I\'d travel a milion miles to see your smile') ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_flirts` VALUES (4,1,'Candlelight, sunlight, or moonlight') ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `tbld_flirts` VALUES (5,1,'I\'d a shot at sweeping you off your feet.') ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `tbld_flirts` VALUES (6,1,'Judging your book by its cover. I\'d love to curl up and reed the rest.') ON DUPLICATE KEY UPDATE Id=6;
INSERT INTO `tbld_flirts` VALUES (7,1,'I\'d canve your name every tree from Los Angeles to New York') ON DUPLICATE KEY UPDATE Id=7;
INSERT INTO `tbld_flirts` VALUES (8,2,'Flirt cate 2.1') ON DUPLICATE KEY UPDATE Id=8;
INSERT INTO `tbld_flirts` VALUES (9,2,'Flirt cate 2.2') ON DUPLICATE KEY UPDATE Id=9;
INSERT INTO `tbld_flirts` VALUES (10,2,'Flirt cate 2.3') ON DUPLICATE KEY UPDATE Id=10;
INSERT INTO `tbld_flirts` VALUES (11,3,'Flirt cate 3.1') ON DUPLICATE KEY UPDATE Id=11;
INSERT INTO `tbld_flirts` VALUES (12,3,'Flirt cate 3.2') ON DUPLICATE KEY UPDATE Id=12;
INSERT INTO `tbld_flirts` VALUES (13,3,'Flirt cate 3.3') ON DUPLICATE KEY UPDATE Id=13;
INSERT INTO `tbld_flirts` VALUES (14,4,'Flirt cate 4.1') ON DUPLICATE KEY UPDATE Id=14;
INSERT INTO `tbld_flirts` VALUES (15,4,'Flirt cate 4.2') ON DUPLICATE KEY UPDATE Id=15;
INSERT INTO `tbld_flirts` VALUES (16,4,'Flirt cate 4.3') ON DUPLICATE KEY UPDATE Id=16;
INSERT INTO `tbld_flirts` VALUES (17,5,'Flirt cate 5.1') ON DUPLICATE KEY UPDATE Id=17;
INSERT INTO `tbld_flirts` VALUES (18,5,'Flirt cate 5.2') ON DUPLICATE KEY UPDATE Id=18;
INSERT INTO `tbld_flirts` VALUES (19,5,'Flirt cate 5.3') ON DUPLICATE KEY UPDATE Id=19;
INSERT INTO `tbld_flirts` VALUES (20,6,'Flirt cate 6.1') ON DUPLICATE KEY UPDATE Id=20;
INSERT INTO `tbld_flirts` VALUES (21,6,'Flirt cate 6.2') ON DUPLICATE KEY UPDATE Id=21;
INSERT INTO `tbld_flirts` VALUES (22,6,'Flirt cate 6.3') ON DUPLICATE KEY UPDATE Id=22;

--
-- Table structure for table `tbld_themes`
--

CREATE TABLE IF NOT EXISTS `tbld_themes` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `ThemeName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsActive` tinyint(3) NOT NULL DEFAULT '1',
  `SourceName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `FileView` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `tbld_themes` VALUES (1,'Default',1,'style.css','theme_default.jpg') ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_themes` VALUES (2,'Theme 1',1,'style1.css','theme_1.jpg') ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_themes` VALUES (3,'Theme 2',1,'style2.css','theme_2.jpg') ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_themes` VALUES (4,'Theme 3',1,'style3.css','theme_3.jpg') ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `tbld_themes` VALUES (5,'Theme 4',1,'style4.css','theme_4.jpg') ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `tbld_themes` VALUES (6,'Theme 5',1,'style5.css','theme_5.jpg') ON DUPLICATE KEY UPDATE Id=6;

--
-- Table structure for table `tbld_paymentprovide`
--
CREATE TABLE IF NOT EXISTS `tbld_paymentprovide` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `PaymentType` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `APIKey` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `APIPassword` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `APISignature` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `APISucrect` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CurrencyCode` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ReturnURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CancelURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ButtonImg` text CHARACTER SET utf8,
  `APIMode` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsActive` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `tbld_paymentprovide` VALUES (1,'Paypal','YOUR_PP_ID','YOUR_PP_PASSWORD','YOUR_SIGNATURE',NULL,'USD','members/membership1.php','members/membership1.php?a=cancel','&lt;input type=&quot;image&quot; src=&quot;https://www.paypalobjects.com/en_US/i/btn/btn_buynow_LG.gif&quot; border=&quot;0&quot; name=&quot;smagree&quot; alt=&quot;PayPal - The safer, easier way to pay online!&quot;&gt; &lt;img alt=&quot;PayPal - The safer, easier way to pay online!&quot; border=&quot;0&quot; src=&quot;https://www.paypalobjects.com/en_US/i/scr/pixel.gif&quot; width=&quot;1&quot; height=&quot;1&quot;&gt;','sandbox',1) ON DUPLICATE KEY UPDATE Id=1;

--
-- Table structure for table `tbld_site_settings`
--
CREATE TABLE IF NOT EXISTS `tbld_site_settings` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Variable` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Value` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsRead` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `tbld_site_settings` VALUES (1,'totallogin','5',0) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `tbld_site_settings` VALUES (2,'default_language','L1',0) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `tbld_site_settings` VALUES (3,'sitename','Sample website 1',0) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `tbld_site_settings` VALUES (4,'slogan','goodbye to the single life 1',0) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `tbld_site_settings` VALUES (5,'strfoot','All right reserved &amp;copy; 2014',0) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `tbld_site_settings` VALUES (6,'currency','$',0) ON DUPLICATE KEY UPDATE Id=6;
INSERT INTO `tbld_site_settings` VALUES (7,'numof_record_perpage','30',0) ON DUPLICATE KEY UPDATE Id=7;
INSERT INTO `tbld_site_settings` VALUES (8,'filetype','gif,jpg',0) ON DUPLICATE KEY UPDATE Id=8;
INSERT INTO `tbld_site_settings` VALUES (9,'max_size','25000',0) ON DUPLICATE KEY UPDATE Id=9;
INSERT INTO `tbld_site_settings` VALUES (10,'max_height','1000',0) ON DUPLICATE KEY UPDATE Id=10;
INSERT INTO `tbld_site_settings` VALUES (11,'max_width','1000',0) ON DUPLICATE KEY UPDATE Id=11;
INSERT INTO `tbld_site_settings` VALUES (12,'maxemail','20',0) ON DUPLICATE KEY UPDATE Id=12;
INSERT INTO `tbld_site_settings` VALUES (13,'uploaddir','fuploads',0) ON DUPLICATE KEY UPDATE Id=13;
INSERT INTO `tbld_site_settings` VALUES (14,'adminemail','admin@yourdomain.com',0) ON DUPLICATE KEY UPDATE Id=14;
INSERT INTO `tbld_site_settings` VALUES (15,'Version','1.0',0) ON DUPLICATE KEY UPDATE Id=15;
INSERT INTO `tbld_site_settings` VALUES (16,'logo','logo.png',0) ON DUPLICATE KEY UPDATE Id=16;
